<?php

/** 



 * Login & Registeration



 * **/



function aerious_ajax_log_reg_init() {



    add_action( 'wp_ajax_nopriv_ajaxlogin', 'aerious_ajax_login' );



	add_action( 'wp_ajax_nopriv_ajaxregister', 'aerious_ajax_register' );



}



add_action( 'init', 'aerious_ajax_log_reg_init' );







function aerious_ajax_login(){



    check_ajax_referer( 'ajax-login-nonce', 'security' );



	aerious_user_login($_POST[ 'username' ], $_POST[ 'password' ], 'Login' ); 



    die();



}







function aerious_ajax_register(){



    check_ajax_referer( 'ajax-register-nonce', 'security' );



    $info = array();



  	$info[ 'user_nicename' ] = $info[ 'nickname' ] = $info[ 'display_name' ] = $info[ 'first_name' ] = $info[ 'user_login' ] = sanitize_user( $_POST[ 'username' ] ) ;



    $info[ 'user_pass' ] = sanitize_text_field( $_POST[ 'password' ] );



	$info[ 'user_email' ] = sanitize_email( $_POST[ 'email' ] );



	// Register the user



    $user_register = wp_insert_user( $info );



 	if ( is_wp_error( $user_register ) ) {



		$error  = $user_register->get_error_codes()	;



		if( in_array( 'empty_user_login', $error ) ) {



			echo json_encode( array( 'loggedin' => false, 'message' => $user_register->get_error_message( 'empty_user_login' ) ) );



		}



		elseif( in_array( 'existing_user_login',$error) ) {



			$message = '<div class="aerious-alert error">';



	    		$message .= '<div class="aerious-alert-icon-holder">';



	    			$message .= '<div class="aerious-alert-icon-inner">';



	    				$message .= '<a class="aerious-alert-icon" href="javascript:void(0)">';



	    					$message .= '<span class="aerious-icon"><i class="fa fa-warning"></i></span>';



	    				$message .= '</a>';



	    			$message .= '</div>';



	    		$message .= '</div>';



	    		$message .= '<div class="aerious-alert-text">'. __( 'This username is already registered.', 'aerious' ) .'</div>';



	    		$message .= '<div class="aerious-alert-close-holder">';



	    			$message .= '<div class="aerious-alert-close-inner">';



	    				$message .= '<a class="aerious-alert-close" href="javascript:void(0)">';



	    					$message .= '<span class="aerious-close"><i class="fa fa-close"></i></span>';



	    				$message .= '</a>';



	    			$message .= '</div>';



	    		$message .= '</div>';



	    	$message .= '</div>';



			echo json_encode( array( 'loggedin' => false, 'message' => $message ) );



		}



		elseif( in_array( 'existing_user_email',$error) ) {



			$message = '<div class="aerious-alert error">';



	    		$message .= '<div class="aerious-alert-icon-holder">';



	    			$message .= '<div class="aerious-alert-icon-inner">';



	    				$message .= '<a class="aerious-alert-icon" href="javascript:void(0)">';



	    					$message .= '<span class="aerious-icon"><i class="fa fa-warning"></i></span>';



	    				$message .= '</a>';



	    			$message .= '</div>';



	    		$message .= '</div>';



	    		$message .= '<div class="aerious-alert-text">'. __( 'This email address is already registered.', 'aerious' ) .'</div>';



	    		$message .= '<div class="aerious-alert-close-holder">';



	    			$message .= '<div class="aerious-alert-close-inner">';



	    				$message .= '<a class="aerious-alert-close" href="javascript:void(0)">';



	    					$message .= '<span class="aerious-close"><i class="fa fa-close"></i></span>';



	    				$message .= '</a>';



	    			$message .= '</div>';



	    		$message .= '</div>';



	    	$message .= '</div>';



        	echo json_encode( array( 'loggedin' => false, 'message' => $message ) );



    	}



    }



    else {



	  aerious_user_login( $info[ 'nickname' ], $info[ 'user_pass' ], 'Registration' );       



    }



    die();



}







function aerious_user_login( $user_login, $password, $login ) {



	$info = array();



    $info[ 'user_login' ] 	= $user_login;



    $info[ 'user_password' ] 	= $password;



    $info[ 'remember' ] 		= true;



	$user_signon 			= wp_signon( $info, false );



    if ( is_wp_error( $user_signon ) ) {



    	$message = '<div class="aerious-alert error">';



    		$message .= '<div class="aerious-alert-icon-holder">';



    			$message .= '<div class="aerious-alert-icon-inner">';



    				$message .= '<a class="aerious-alert-icon" href="javascript:void(0)">';



    					$message .= '<span class="aerious-icon"><i class="fa fa-warning"></i></span>';



    				$message .= '</a>';



    			$message .= '</div>';



    		$message .= '</div>';



    		$message .= '<div class="aerious-alert-text">'. __('Wrong Username or Password','aerious') .'</div>';



    		$message .= '<div class="aerious-alert-close-holder">';



    			$message .= '<div class="aerious-alert-close-inner">';



    				$message .= '<a class="aerious-alert-close" href="javascript:void(0)">';



    					$message .= '<span class="aerious-close"><i class="fa fa-close"></i></span>';



    				$message .= '</a>';



    			$message .= '</div>';



    		$message .= '</div>';



    	$message .= '</div>';



		echo json_encode(array( 'loggedin'=>false, 'message'=> $message ));



    }



    else {



		wp_set_current_user( $user_signon->ID );



		$message = '<div class="aerious-alert success">';



    		$message .= '<div class="aerious-alert-icon-holder">';



    			$message .= '<div class="aerious-alert-icon-inner">';



    				$message .= '<a class="aerious-alert-icon" href="javascript:void(0)">';



    					$message .= '<span class="aerious-icon"><i class="fa fa-check"></i></span>';



    				$message .= '</a>';



    			$message .= '</div>';



    		$message .= '</div>';



    		$message .= '<div class="aerious-alert-text">'. sprintf( __( '%s successful, redirecting...', 'aerious' ), $login ) .'</div>';



    		$message .= '<div class="aerious-alert-close-holder">';



    			$message .= '<div class="aerious-alert-close-inner">';



    				$message .= '<a class="aerious-alert-close" href="javascript:void(0)">';



    					$message .= '<span class="aerious-close"><i class="fa fa-close"></i></span>';



    				$message .= '</a>';



    			$message .= '</div>';



    		$message .= '</div>';



    	$message .= '</div>';



		echo json_encode( array( 'loggedin' => true, 'message' => $message ) );



    }



	die();



}





