<?php
	
function aerious_floating_bar_meta_options() {
	
	global $aerious_meta_prefix, $aerious_meta_postfix;

	$floating_bar = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'floating_bar',
		'title'         => __( 'Aerious Floating Bar', 'aerious' ),
		'object_types'  => array( 'page', 'post', 'portfolio', 'product', 'forum', 'topic' ),
		'priority'   	=> 'core',
	) );
	
	$floating_bar->add_field( array (
		'name' 		=> __ ( 'Show Floating Bar', 'aerious' ),
		'id'       	=> $aerious_meta_prefix . 'show_floating_bar' . $aerious_meta_postfix,
		'type' 		=> 'select',
		'options' 	=> array(
			'' 		=> __("Default",'aerious' ),
			'yes' => __("Yes",'aerious' ),
			'no' => __("No",'aerious' ),
		)
	) );
	
	$floating_bar->add_field( array (
		'name' 		=> __ ( 'Show Floating Bar on mobile', 'aerious' ),
		'id'       	=> $aerious_meta_prefix . 'show_mob_floating_bar' . $aerious_meta_postfix,
		'row_classes'  	=> $aerious_meta_prefix . 'show_mob_floating_bar' . $aerious_meta_postfix,
		'type' 		=> 'select',
		'options' 	=> array(
			'yes' => __("Yes",'aerious' ),
			'no' => __("No",'aerious' ),
		),
		 'default' => 'no',
	) );
	
	
}

add_action( 'cmb2_admin_init', 'aerious_floating_bar_meta_options' );
