<?php
	
function aerious_testimonial_meta_options() {
	
	global $aerious_meta_prefix, $aerious_meta_postfix;

	$testimonial = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'testimonial',
		'title'         => __( 'Aerious Testimonial', 'aerious' ),
		'object_types'  => array( 'testimonial' ),
		'priority'   	=> 'core',
	) );
	
	$testimonial->add_field( array(
		'name'      => __( 'Author', 'aerious' ),
		'id'        => $aerious_meta_prefix . 'testimonial_author' . $aerious_meta_postfix,
		'type'      => 'text',
		'desc'		=> __( 'Enter author name', 'aerious' )
	) );
	
	$testimonial->add_field( array(
		'name'      => __( 'Job Position', 'aerious' ),
		'id'        => $aerious_meta_prefix . 'testimonial_position' . $aerious_meta_postfix,
		'type'      => 'text',
		'desc'		=> __( 'Enter job position', 'aerious' )
	) );
	
	$testimonial->add_field( array(
		'name'      => __( 'Text', 'aerious' ),
		'id'        => $aerious_meta_prefix . 'testimonial_text' . $aerious_meta_postfix,
		'type'      => 'textarea',
		'desc'		=> __( 'Enter testimonial text', 'aerious' )
	) );
	
}

add_action( 'cmb2_admin_init', 'aerious_testimonial_meta_options' );
