<?php

/** 
 * Social Sharing
 * **/
 
 
function aerious_social_share(){
	
	global $post, $aerious_options;
	
	if( aerious_check_woocommerce() ){
		if( is_shop() && isset( $aerious_options[ 'shop_ss' ] ) && ! $aerious_options[ 'shop_ss' ]  ){ 
			return;
		}
	}
	
	$target = ''; $socialmedia_show = $socialmedia_hide = array();

	if( isset( $aerious_options[ 'social_medias' ][ 'display' ][ 'placebo' ] ) ){
		unset( $aerious_options[ 'social_medias' ][ 'display' ][ 'placebo' ] );
	}
	if( isset( $aerious_options[ 'social_medias' ][ 'click-display' ][ 'placebo' ] ) ){
		unset( $aerious_options[ 'social_medias' ][ 'click-display' ][ 'placebo' ] );
	}
	
	$twitter 		= array( 'name' => __( 'Twitter', 'aerious' ), 'icon' => 'twitter', 'link' => 'http://twitter.com/share?text={title}&url={url}' );
	$facebook 		= array( 'name' => __( 'Facebook', 'aerious' ), 'icon' => 'facebook', 'link' => 'http://www.facebook.com/sharer.php?u={url}&t={title}' );
	$google_plus 	= array( 'name' => __( 'Google Plus', 'aerious' ), 'icon' => 'google-plus', 'link' => 'https://plus.google.com/share?url={url}' );
	$pinterest 		= array( 'name' => __( 'Pinterest', 'aerious' ), 'icon' => 'pinterest', 'link' => 'http://pinterest.com/pin/create/button/?url={url}&description={title}&media={image}' );
	$linkedin 		= array( 'name' => __( 'Linked In', 'aerious' ), 'icon' => 'linkedin', 'link' => 'http://linkedin.com/shareArticle?mini=true&url={url}&title={title}' );
	$tumblr 		= array( 'name' => __( 'Tumblr', 'aerious' ), 'icon' => 'tumblr', 'link' => 'http://www.tumblr.com/share/link?url={url}&name={title}&description={excerpt}' );
	$vk 			= array( 'name' => __( 'Vkontakte', 'aerious' ), 'icon' => 'vk', 'link' => 'http://vk.com/share.php?url={url}' );
	$stumbleupon 	= array( 'name' => __( 'Stumble Upon', 'aerious' ),'icon' => 'stumbleupon', 'link' => 'http://www.stumbleupon.com/submit?url={url}' );
	$delicious 		= array( 'name' => __( 'Delicious', 'aerious' ),'icon' => 'delicious', 'link' => 'http://del.icio.us/post?url={url}&title={title}' );
	$digg 			= array( 'name' => __( 'Digg', 'aerious' ),'icon' => 'digg', 'link' => 'http://digg.com/submit?url={url}&title={title}' );
	$reddit 		= array( 'name' => __( 'Reddit', 'aerious' ),'icon' => 'reddit', 'link' => 'http://www.reddit.com/submit?url={url}' );
	$xing 			= array( 'name' => __( 'Xing', 'aerious' ),'icon' => 'xing', 'link' => 'https://www.xing-share.com/app/user?op=share;sc_p=xing-share;url={url}' );
	$weibo 			= array( 'name' => __( 'Weibo', 'aerious' ),'icon' => 'weibo', 'link' => 'http://service.weibo.com/share/share.php?url={url}&appkey=&title={title}&pic={image}&ralateUid=&language=zh_cn' );
	$renren 		= array( 'name' => __( 'Renren', 'aerious' ),'icon' => 'renren', 'link' => 'http://share.renren.com/share/buttonshare?link={url}&title={title}' );
	$bullseye 		= array( 'name' => __( 'Specific Feeds', 'aerious' ),'icon' => 'bullseye', 'link' => 'http://www.specificfeeds.com/follow' );
	$email 			= array( 'name' => __( 'E-Mail', 'aerious' ),'icon' => 'envelope', 'link' => 'mailto:?subject={title}&body={url}%20-%20{excerpt}' );
	$code 			= array( 'name' => __( 'W3C Validation', 'aerious' ),'icon' => 'code', 'link' => 'http://validator.w3.org/check?uri={url}' );
	
	$social_medias_display_array = array( 'twitter' 		=> __( 'Twitter', 'aerious' ),
										'google_plus' 	=> __( 'Google Plus', 'aerious' ),
										'facebook'   	=> __( 'Facebook', 'aerious' ),
									);
	$social_medias_display = isset( $aerious_options[ 'social_medias' ][ 'display' ] ) ? $aerious_options[ 'social_medias' ][ 'display' ] : $social_medias_display_array;

	if ( $social_medias_display ) {
		foreach( $social_medias_display as $key => $val ){
			$socialmedia_show[$key] = $$key;
		}
	}

	$social_medias_click_array = array(
		'pinterest'   	=> __( 'Pinterest', 'aerious' ),
		'linkedin'   	=> __( 'LinkedIn', 'aerious' ),
		'tumblr'   		=> __( 'Tumblr', 'aerious' ),
		'vk'   			=> __( 'Vkontakte', 'aerious' ),
		'stumbleupon'   => __( 'Stumble Upon', 'aerious' ),
		'delicious'   	=> __( 'Delicious', 'aerious' ),
		'digg'   		=> __( 'Digg', 'aerious' ),
		'reddit'   		=> __( 'Reddit', 'aerious' ),
		'xing'   		=> __( 'Xing', 'aerious' ),
		'weibo'   		=> __( 'Weibo', 'aerious' ),
		'renren'   		=> __( 'Renren', 'aerious' ),
		'bullseye'   	=> __( 'SpecificFeeds', 'aerious' ),
		'email'   		=> __( 'E-Mail', 'aerious' )
	);

	$social_medias_click = isset( $aerious_options[ 'social_medias' ][ 'click-display' ] ) ? $aerious_options[ 'social_medias' ][ 'click-display' ] : $social_medias_click_array;

	if ( $social_medias_click ){
		foreach( $social_medias_click as $key => $val ){
			$socialmedia_hide[$key] = $$key;
		}
	}
	$image=0;
	$post_ID = $post->ID;
	$url = urlencode( get_permalink( $post_ID ) );
    $title = rawurlencode( htmlspecialchars( trim( $post->post_title ) ) );
    $img = wp_get_attachment_image_src( get_post_thumbnail_id( $post_ID ), 'full' );
    if($img!=""){
    $image = $img[0];
    }
    $excerpt = rawurlencode( htmlspecialchars( trim( wp_trim_words( strip_tags( strip_shortcodes( $post->post_content ) ) ) ) ) );
    
	$find = array( '{url}', '{title}', '{image}', '{excerpt}' );
	$replace = array($url, $title, $image, $excerpt);
	
	$output = '<div class="aerious-share-buttons-holder">';
	
	if( ! empty( $socialmedia_show ) ){
		
		$output .= '<ul class="share-buttons">';
		
			foreach( $socialmedia_show as $key => $media ){
				$sm_new_window = isset( $aerious_options[ 'sm_new_window' ] ) ? esc_attr( $aerious_options[ 'sm_new_window' ] ) : 1;
				if( $sm_new_window ){
					$target = 'target="_blank" ';
					if( $key == 'email' ){
						$target = '';
					}
				}
				
				$output .= '<li>';
					$link = str_replace( $find, $replace, $media[ 'link' ]) .'"';
					$output .= '<a href="'. esc_url( $link ) .'" ' . $target . 'title="'. $media[ 'name' ] . '" >';
						$output .= '<i class="fa fa-'.$media[ 'icon' ].'"></i>';
					$output .= '</a>';
				$output .= '</li>';
				
			}
			
			if( ! empty( $socialmedia_hide ) ){
				
				$output .= '<li><a class="aerious-sb-dropdown-opener"><i class="fa fa-share-alt" aria-hidden="true"></i></a></li>';
				
			}
			
		$output .= '</ul>';
		
	}else{
		
		if( ! empty( $socialmedia_hide ) ){
			$output .= '<li><a class="aerious-sb-dropdown-opener"><i class="fa fa-share-alt" aria-hidden="true"></i></a></li>';
		}
	
	}
	
	if( ! empty( $socialmedia_hide ) ){
		
		$output .= '<ul class="aerious-sb-dropdown">';
		
			foreach( $socialmedia_hide as $key => $media ){

				$sm_new_window = isset( $aerious_options[ 'sm_new_window' ] ) ? esc_attr( $aerious_options[ 'sm_new_window' ] ) : 1;

				if( $sm_new_window ){
					$target = 'target="_blank" ';
					if( $key == 'email' ){
						$target = '';
					}
				}
				
				$output .= '<li>';
					$link = str_replace( $find, $replace, $media[ 'link' ]) .'"';
					$output .= '<a href="'. esc_url( $link ) .'" ' . $target . 'title="'. esc_attr( $media[ 'name' ] ) . '" >';
						$output .= '<i class="fa fa-'. esc_attr( $media[ 'icon' ] ) .'"></i>';
					$output .= '</a>';
				$output .= '</li>';
				
			}
			
		$output .= '</ul>';
		
	}
	
	$output .= '</div>';
	
	return $output;
	
}



?>