<?php
add_action( 'wp_ajax_aerious_shortcode_form', 'aerious_element_fields' );
add_action( 'wp_ajax_nopriv_aerious_shortcode_form', 'aerious_element_fields' );

function aerious_element_fields() {
	$element_id	= $_POST['data'];
?>
		<form id="<?php echo esc_attr( $element_id ); ?>_form" action="" class="aerious-sc-form">
			<?php aerious_shortcode_elements($element_id) ?>
            
			<div class="modal-footer">
            	<button type="button" class="button button-primary button-large sc-reverse-btn" onClick="jQuery(this).aerious_SCElements();"><?php esc_html_e( 'Back To Elements', 'aerious-core'); ?></button>
				<button id="<?php echo esc_attr( $element_id ); ?>" type="button" class="button button-primary button-large insert-shortcode" onClick="jQuery(this).aerious_ElementShortcode();"><?php esc_html_e( 'Insert Shortcode', 'aerious-core' ) ?></button>
			</div>
		</form>

        <script type="text/javascript">
			jQuery('.dependency-list').each(function(){
				var depend_on, dependency, dep_parent_val;
				
				if( jQuery(this).attr('data-empty-element') ){
					
					depend_on		= '#'+ jQuery(this).attr('data-empty-element');
					dependency		= jQuery(this).attr('data-not-empty')
					dep_parent_val	= jQuery(depend_on).val();
					
					if( dep_parent_val == ''){
						dep_parent_val = 'empty';
					}
					
					if( dep_parent_val == dependency ){
						jQuery(this).parent('td').parent('tr').css('display', 'none');
						jQuery(this).prop('disabled', true);
					}				
				} else if( jQuery(this).attr('data-not-depend-element') ){
					depend_on		= '#'+ jQuery(this).attr('data-not-depend-element');
					dependency		= jQuery(this).attr('data-not-depend-on')
					dep_parent_val	= jQuery(depend_on).val();
					
					if( dep_parent_val == dependency ){
						jQuery(this).parent('td').parent('tr').css('display', 'none');
						jQuery(this).prop('disabled', true);
					}
				} else{
					depend_on		= '#'+ jQuery(this).attr('data-depend-on');
					dependency		= jQuery(this).attr('data-dependency-value')
					dep_parent_val	= jQuery(depend_on).val();
					
					if( dep_parent_val != dependency ){
						jQuery(this).parent('td').parent('tr').css('display', 'none');
						jQuery(this).prop('disabled', true);
					}
				}
			});
			jQuery('.dependency-list-icon').each(function(){
				jQuery(this).parent('td').parent('tr').css('display', 'none');
			});
        </script>
<?php
exit;
}
?>