<?php
$fields;
$extra_class = $target = $button_styles	= array();
function aerious_shortcode_elements( $element_name ){
	
	$extra_class = array(
		'type'					=> 'textfield',
		'title'					=> __( 'Extra class name', 'aerious-core' ),
		'name'					=> 'el_class',
		'description'			=> __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'aerious-core' ),
	);
	
	$target	= array(
		'_self'  				=> __( 'Same Window', 'aerious-core' ),
		'_blank' 				=> __( 'New Window', 'aerious-core' )
	);
	
	$button_styles	= array(
		'aerious-btn-default' 		=> __( 'Default', 'aerious-core' ),
		'aerious-btn-white'			=> __( 'White', 'aerious-core' ),
		'aerious-btn-success'		=> __( 'Green', 'aerious-core' ),
		'aerious-btn-info'			=> __( 'Sky Blue', 'aerious-core' ),
		'aerious-btn-warning'		=> __( 'Orange', 'aerious-core' ),
		'aerious-btn-danger'		=> __( 'Red', 'aerious-core' ),
		'aerious-btn-gray'			=> __( 'Gray', 'aerious-core' ),
		'aerious-btn-black'			=> __( 'Black', 'aerious-core' ),
		'aerious-btn-inverse'		=> __( 'Classic Black', 'aerious-core' ),
		'aerious-btn-transparent'	=> __( 'Transparent', 'aerious-core' )
		
	);
	
	/* Alert Message Box */
	if ( $element_name == 'aerious_alert' ) {

		$fields = array_merge(
			array(
				array(
					'name'					=> 'shape',
					'type'					=> 'dropdown',
					'title'					=> __( 'Box Shape', 'aerious-core' ),
					'options' 				=> array(
												''				=> __( 'Default / Round corners', 'aerious-core' ),
												'sharp-corners'	=> __( 'Sharp corners', 'aerious-core' ),
												'pill'			=> __( 'Pill', 'aerious-core' ),
											)
				),
				array(
					'name'					=> 'type',
					'type'					=> 'dropdown',
					'title'					=> __( 'Type', 'aerious-core' ),
					'options' 				=> array(
												'default'		=> __( 'Default', 'aerious-core' ),
												'error'			=> __( 'Error', 'aerious-core' ),
												'success'		=> __( 'Success', 'aerious-core' ),
												'notice'		=> __( 'Notice', 'aerious-core' ),
												'info'			=> __( 'Info', 'aerious-core' ),
											)
				),
				array(
					'name'					=> 'show_icon',
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Icon', 'aerious-core' ),
					'dependency_trigger'	=> 'true',
					'options'				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											)
				),
			),
			aerious_sc_icon_collection( '', '', array( 'show_icon', 'yes' ) ),
			array(
				array(
					'name'					=> 'show_close',
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Close Icon', 'aerious-core' ),
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											)
				),
				array(
					'name'					=> 'content_',
					'type'					=> 'textarea',
					'title'					=> __( 'Text', 'aerious-core' ),
					'value'					=> '',
					'rows'					=> '3'
				),
				array(
					'name'					=> 'text_align',
					'type'					=> 'dropdown',
					'title'					=> __( 'Text Align', 'aerious-core' ),
					'options' 				=> array(
												''				=> '',
												'text-left'		=> __( 'Left', 'aerious-core' ),
												'text-center'	=> __( 'Center', 'aerious-core' ),
												'text-right'	=> __( 'Right', 'aerious-core' ),
											)
				),
				$extra_class,
				array(
					'name'					=> 'bg_color',
					'type'					=> 'colorpicker',
					'group'					=> __( 'Design Options', 'aerious-core' ),
					'title'					=> __( 'Box Background Color', 'aerious-core' ),
				),
				array(
					'name'					=> 'hover_bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Box Background Color', 'aerious-core' ),
				),
				array(
					'name'					=> 'border_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Box Border Color', 'aerious-core' ),
				),
				array(
					'name'					=> 'hover_border_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Box Border Color', 'aerious-core' ),
				),
				array(
					'name'					=> 'border_width',
					'type'					=> 'number',
					'title'					=> __( 'Box Border Width', 'aerious-core' ),
				),
				array(
					'name'					=> 'hover_border_width',
					'type'					=> 'number',
					'title'					=> __( 'Hover Box Border Width', 'aerious-core' ),
				),
				array(
					'name'					=> 'text_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Text Color', 'aerious-core' ),
				),
				array(
					'name'					=> 'hover_text_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Text Color', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
				),
				array(
					'name'					=> 'hover_icon_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Icon Color', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Background Color', 'aerious-core' ),
				),
				array(
					'name'					=> 'hover_icon_bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Icon Background Color', 'aerious-core' ),
				),
				array(
					'name'					=> 'close_icon_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Close Icon Color', 'aerious-core' ),
				),
				array(
					'name'					=> 'hover_close_icon_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Close Icon Color', 'aerious-core' ),
					
				),
				array(
					'name'					=> 'close_icon_bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Close Icon Background Color', 'aerious-core' ),
					
				),
				array(
					'name'					=> 'hover_close_icon_bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Close Icon Background Color', 'aerious-core' ),
					
				),
				array(
					'name'					=> 'close_icon_border_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Close Icon Border Color', 'aerious-core' ),
					
				),
				array(
					'name'					=> 'hover_close_icon_border_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Close Icon Border Color', 'aerious-core' ),
				),
			),
			aerious_sc_animations_fields()
		);

		aerious_ElementFields( $fields );
	}
	
	/* Action Box */
	if( $element_name == 'aerious_action_box' ){
		$fields = array_merge(
			array(
				array(
					'name'					=> 'title',
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'title_tag',
					'type'					=> 'dropdown',
					'title'					=> __( 'Title Tag', 'aerious-core' ),
					'options' 				=> array(
												'h4'		=> __( 'Default', 'aerious-core' ),
												'h2'		=> 'h2',
												'h3'		=> 'h3',
												'h4'		=> 'h4',
												'h5'		=> 'h5',
												'h6'		=> 'h6'
											),
					'dependency'			=> array( 'element'=>'title', 'not_empty'=>'true' )
				),
				array(
					'name'					=> 'image',
					'type'					=> 'image-uploader',
					'id'					=> 'ab_custom_image',
					'title'					=> __( 'Image', 'aerious-core' ),
				),
				array(
					'name'					=> 'image_position',
					'type'					=> 'dropdown',
					'title'					=> __( 'Image position', 'aerious-core' ),
					'description'			=> __( 'Select image position', 'aerious-core' ),
					'options' 				=> array(
												'under_title'	=> __( 'Default', 'aerious-core' ),
												'left'			=> __( 'Left', 'aerious-core' ),
												'right'			=> __( 'Right', 'aerious-core' )
											),
					'std'					=> 'under_title'
				),
				array(
					'name'					=> 'display_action_button',
					'type'					=> 'dropdown',
					'title'					=> __( 'Button', 'aerious-core' ),
					'description'			=> __( 'Select "Yes" to display action button', 'aerious-core' ),
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' )
											),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'content_',
					'type'					=> 'textfield',
					'title'					=> __( 'Content', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				$extra_class,
				array(
					'name'					=> 'text',
					'type'					=> 'textfield',
					'title'					=> __( 'Text', 'aerious-core' ),
					'group'					=> __( 'Button', 'aerious-core' ),
				),
				array(
					'name'					=> 'link',
					'type'					=> 'textfield',
					'title'					=> __( 'Link', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					 'name' 				=> 'target',
					 'type' 				=> 'dropdown',
					 'title' 				=> __( 'Target', 'aerious-core' ),
					 'options' 				=> $target,
					 'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					 'name' 				=> 'button_style',
					 'type' 				=> 'dropdown',
					 'title' 				=> __( 'Button Style', 'aerious-core' ),
					 'options'  			=> $button_styles,
					 'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Size', 'aerious-core' ),
					'name'					=> 'size',
					'options'				=> array(
												''					=> __( 'Default', 'aerious-core' ),
												'aerious-btn-xs'	=> __( 'Mini', 'aerious-core' ),
												'aerious-btn-sm'	=> __( 'Small', 'aerious-core' ),
												'aerious-btn-md'	=> __( 'Medium', 'aerious-core' ),
												'aerious-btn-lg'	=> __( 'Large', 'aerious-core' ),
												'aerious-btn-xlg'	=> __( 'Extra Large', 'aerious-core' ),
											),
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Shape', 'aerious-core' ),
					'name'					=> 'shape',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'square'		=> __( 'Square', 'aerious-core' ),
												'round'			=> __( 'Round', 'aerious-core' ),
												'round_right'	=> __( 'Round from right', 'aerious-core' ),
												'round_left'	=> __( 'Round from left', 'aerious-core' ),
											),
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Full Width', 'aerious-core' ),
					'name'					=> 'full_width',
					'options'				=> array(
												''					=> __( 'No', 'aerious-core' ),
												'aerious-btn-block'	=> __( 'Yes', 'aerious-core' ),
											),
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
			),
			aerious_sc_icon_collection('', '', ''),
			array(
				array(
					'name'					=> 'custom_icon',
					'id'					=> 'ab-custom-icon',
					'type'					=> 'image-uploader',
					'title'					=> __( 'Custom Icon', 'aerious-core' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Icon Position', 'aerious-core' ),
					'name'					=> 'icon_position',
					'options'				=> array(
												'left'	=> __( 'Left', 'aerious-core' ),
												'right'	=> __( 'Right', 'aerious-core' ),
											),
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Space between icon and text', 'aerious-core' ),
					'name'					=> 'space_bw_icon_text',
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Custom CSS Class', 'aerious-core' ),
					'name'					=> 'btn_el_class',
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
					'description'			=> __( 'To style this button differently, use this field to add a class name and then refer to it in your css file.', 'aerious-core' )
				),
				array(
					'name'					=> 'title_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Title', 'aerious-core' ),
					'group'					=> __( 'Design Options', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'name'					=> 'content_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Content', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'content_', 'not_empty'=>'true' ),
				),
				array(
					'name'					=> 'color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Button Text', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'name'					=> 'hover_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Button Text Hover Color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'name'					=> 'bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Button Background', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'name'					=> 'hover_bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Button Hover Background Color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Border Style', 'aerious-core' ),
					'name'					=> 'border_style',
					'options'				=> array(
												'none'		=> __( 'None', 'aerious-core' ),
												'solid'		=> __( 'Solid', 'aerious-core' ),
												'dotted'	=> __( 'Dotted', 'aerious-core' ),
												'dashed'	=> __( 'Dashed', 'aerious-core' ),
												'double'	=> __( 'Double', 'aerious-core' ),
												'groove'	=> __( 'Groove', 'aerious-core' ),
												'ridge'		=> __( 'Ridge', 'aerious-core' ),
												'inset'		=> __( 'Inset', 'aerious-core' ),
												'outset'	=> __( 'Outset', 'aerious-core' ),
											),
					'std'					=> 'solid',
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Hover Border Style', 'aerious-core' ),
					'name'					=> 'hover_border_style',
					'options'				=> array(
												'none'		=> __( 'None', 'aerious-core' ),
												'solid'		=> __( 'Solid', 'aerious-core' ),
												'dotted'	=> __( 'Dotted', 'aerious-core' ),
												'dashed'	=> __( 'Dashed', 'aerious-core' ),
												'double'	=> __( 'Double', 'aerious-core' ),
												'groove'	=> __( 'Groove', 'aerious-core' ),
												'ridge'		=> __( 'Ridge', 'aerious-core' ),
												'inset'		=> __( 'Inset', 'aerious-core' ),
												'outset'	=> __( 'Outset', 'aerious-core' ),
											),
					'std'					=> 'solid',
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Button Border Size', 'aerious-core' ),
					'name'					=> 'border_width',
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Button Hover Border Size', 'aerious-core' ),
					'name'					=> 'hover_border_width',
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'colorpicker',
					'name'					=> 'border_color',
					'title'					=> __( 'Button Border Color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Button Hover Border Color', 'aerious-core' ),
					'name'					=> 'hover_border_color',
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Button Text Size', 'aerious-core' ),
					'name'					=> 'text_size',
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Text Transform', 'aerious-core' ),
					'name'					=> 'text_transform',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'capitalize'	=> __( 'Capitalize', 'aerious-core' ),
												'uppercase'		=> __( 'Uppercase', 'aerious-core' ), 
												'lowercase'		=> __( 'Lowercase', 'aerious-core' ), 
											),
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' ),
					'name'					=> 'icon_size',
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'name'					=> 'icon_color',
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Icon Color', 'aerious-core' ),
					'name'					=> 'hover_icon_color',
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Margin (Space around the button)', 'aerious-core' ),
					'name'					=> 'margin',
					'dependency'			=> array( 'element'=>'display_action_button', 'value'=>'yes' ),
					'description'			=> __( 'Insert margin in format: 0px 10px 10px 0px <br /> format: (top right bottom left)', 'aerious-core' ),
				),
			),
			aerious_sc_animations_fields()
		);
		aerious_ElementFields( $fields );
	}
	
	/* Blockquote */
	if ( $element_name == 'aerious_blockquote' ) {
	
		$fields = array_merge(
			array(
				array(
					'name'					=> 'text',
					'type'					=> 'textarea',
					'title'					=> __( 'Blockquote Text', 'aerious-core' ),
					'description' 			=> __( 'Enter blockquote text', 'aerious-core' ),
					'rows'					=> '3'
				),
				array(
					'name'					=> 'space',
					'type'					=> 'number',
					'title'					=> __( 'Space between Blockquote text and Icon', 'aerious-core' ),
				),
				$extra_class,
				array(
					'name'					=> 'size',
					'type'					=> 'number',
					'title'					=> __( 'Text Size', 'aerious-core' ),
					'description' 			=> __( 'Enter size of blockquote text', 'aerious-core' ),
					'group' 				=> __( 'Typography', 'aerious-core' )
				),
				array(
					'name'					=> 'color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Color', 'aerious-core' ),
					'description' 			=> __( 'Choose color for blockquote text', 'aerious-core' ),
				),
			),
			aerious_sc_icon_collection( __( 'Icon', 'aerious-core' ) ),
			array(
				array(
					'name'					=> 'icon_position',
					'type'					=> 'dropdown',
					'title'					=> __( 'Icon Position', 'aerious-core' ),
					'options' 				=> array(
												'left'	=> __( 'Left', 'aerious-core' ),
												'right'	=> __( 'Right', 'aerious-core' ),
											)
				),
				array(
					'name'					=> 'icon_size',
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' ),
					'description' 			=> __( 'Enter size of icon', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'description' 			=> __( 'Choose color for icon', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_bg',
					'type'					=> 'dropdown',
					'title'					=> __( 'Icon Background Color', 'aerious-core' ),
					'options' 				=> array(
												''			=> __( 'Default', 'aerious-core' ),
												'default'	=> __( 'Theme Default Color', 'aerious-core' ),
												'custom'	=> __( 'Custom', 'aerious-core' ),
											),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'custom_icon_bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Custom Background Color', 'aerious-core' ),
					'description' 			=> __( 'Choose background color for icon', 'aerious-core' ),
					'dependency' 			=> array( 'element' => 'icon_bg', 'value' => 'custom' )
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Button */
	if ( $element_name == 'aerious_button' ) {
	
		$fields = array_merge(
			array(
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Text', 'aerious-core' ),
					'name'					=> 'text',
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Link', 'aerious-core' ),
					'name'					=> 'link',
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Target', 'aerious-core' ),
					'name'					=> 'target',
					'options' 				=> $target,
					'dependency' 			=> array( 'element'=>'link', 'not_empty'=>'true' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Style', 'aerious-core' ),
					'name'					=> 'style',
					'options' 				=> $button_styles,
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Size', 'aerious-core' ),
					'name'					=> 'size',
					'options' 				=> array(
												''					=> __( 'Default', 'aerious-core' ),
												'aerious-btn-xs'	=> __( 'Mini', 'aerious-core' ),
												'aerious-btn-sm'	=> __( 'Small', 'aerious-core' ),
												'aerious-btn-md'	=> __( 'Medium', 'aerious-core' ),
												'aerious-btn-lg'	=> __( 'Large', 'aerious-core' ),
												'aerious-btn-xlg'	=> __( 'Extra Large', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Shape', 'aerious-core' ),
					'name'					=> 'shape',
					'options' 				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'square'		=> __( 'Square', 'aerious-core' ),
												'round'			=> __( 'Round', 'aerious-core' ),
												'round_right'	=> __( 'Round from right', 'aerious-core' ),
												'round_left'	=> __( 'Round from left', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Full Width', 'aerious-core' ),
					'name'					=> 'full_width',
					'options' 				=> array(
												''					=> __( 'No', 'aerious-core' ),
												'aerious-btn-block'	=> __( 'Yes', 'aerious-core' ),
											),
				),
			),
			aerious_sc_icon_collection(),
			array(
				array(
					'type'					=> 'image-uploader',
					'title'					=> __( 'Custom Icon', 'aerious-core' ),
					'name'					=> 'custom_icon',
					'id'					=> 'but-custom-icon',
					'description'			=> __( 'This will overwites the above "Icon Pack" field', 'aerious' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Icon Position', 'aerious-core' ),
					'name'					=> 'icon_position',
					'options' 				=> array(
												'left'	=> __( 'Left', 'aerious-core' ),
												'right'	=> __( 'Right', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Space between icon and text', 'aerious-core' ),
					'name'					=> 'space_bw_icon_text',
				),
				$extra_class,
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Color', 'aerious-core' ),
					'name'					=> 'color',
					'group'					=> __( 'Design Options', 'aerious-core' )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Color', 'aerious-core' ),
					'name'					=> 'hover_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Background', 'aerious-core' ),
					'name'					=> 'bg_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Background Color', 'aerious-core' ),
					'name'					=> 'hover_bg_color',
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Border Style', 'aerious-core' ),
					'name'					=> 'border_style',
					'options' 				=> array(
												'none'		=> __( 'None', 'aerious-core' ),
												'solid'		=> __( 'Solid', 'aerious-core' ),
												'dotted'	=> __( 'Dotted', 'aerious-core' ),
												'dashed'	=> __( 'Dashed', 'aerious-core' ),
												'double'	=> __( 'Double', 'aerious-core' ),
												'groove'	=> __( 'Groove', 'aerious-core' ),
												'ridge'		=> __( 'Ridge', 'aerious-core' ),
												'inset'		=> __( 'Inset', 'aerious-core' ),
												'outset'	=> __( 'Outset', 'aerious-core' ),
											),
					'std' 					=> 'solid',
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Hover Border Style', 'aerious-core' ),
					'name'					=> 'hover_border_style',
					'options' 				=> array(
												'none'		=> __( 'None', 'aerious-core' ),
												'solid'		=> __( 'Solid', 'aerious-core' ),
												'dotted'	=> __( 'Dotted', 'aerious-core' ),
												'dashed'	=> __( 'Dashed', 'aerious-core' ),
												'double'	=> __( 'Double', 'aerious-core' ),
												'groove'	=> __( 'Groove', 'aerious-core' ),
												'ridge'		=> __( 'Ridge', 'aerious-core' ),
												'inset'		=> __( 'Inset', 'aerious-core' ),
												'outset'	=> __( 'Outset', 'aerious-core' ),
											),
					'std' 					=> 'solid',
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Border Size', 'aerious-core' ),
					'name'					=> 'border_width',
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Hover Border Size', 'aerious-core' ),
					'name'					=> 'hover_border_width',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Border Color', 'aerious-core' ),
					'name'					=> 'border_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Border Color', 'aerious-core' ),
					'name'					=> 'hover_border_color',
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Text Size', 'aerious-core' ),
					'name'					=> 'text_size',
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Text Transform', 'aerious-core' ),
					'name'					=> 'text_transform',
					'options' 				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'capitalize'	=> __( 'Capitalize', 'aerious-core' ),
												'uppercase'		=> __( 'Uppercase', 'aerious-core' ),
												'lowercase'		=> __( 'Lowercase', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' ),
					'name'					=> 'icon_size',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'name'					=> 'icon_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Icon Color', 'aerious-core' ),
					'name'					=> 'hover_icon_color',
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Margin (Space around the button)', 'aerious-core' ),
					'name'					=> 'margin',
					'description' 			=> __( 'Insert margin in format: 0px 10px 10px 0px <br /> format: (top right bottom left)', 'aerious-core' ),
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Blog Posts */
	if ( $element_name == 'aerious_blog_posts' ) {
	
		$fields = array_merge(
			array(
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Layout', 'aerious-core' ),
					'name'					=> 'type',
					'options' 				=> array(
												'standard'	=> __( 'Standard', 'aerious-core' ),
												'grid'		=> __( 'Grid', 'aerious-core' ),
												'split'		=> __( 'Split', 'aerious-core' ),
												'slider'	=> __( 'Slider', 'aerious-core' ),
											),
					'dependency_trigger'	=> 'true',
					'std' 					=> 'standard',
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Number of Columns', 'aerious-core' ),
					'name'					=> 'columns',
					'options' 				=> array(
												'1'		=> __( '1', 'aerious-core' ),
												'2'		=> __( '2', 'aerious-core' ),
												'3'		=> __( '3', 'aerious-core' ),
												'4'		=> __( '4', 'aerious-core' ),
												'5'		=> __( '5', 'aerious-core' ),
												'6'		=> __( '6', 'aerious-core' ),
											),
					'std'					=> '3',
					'description' 			=> __( 'Choose Number of Columns for Slider Layout', 'aerious-core' ),
					'dependency_trigger'	=> 'true',
					'dependency' 			=> array( 'element'=>'type', 'value'=>'slider' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Number of Columns', 'aerious-core' ),
					'name'					=> 'columns_grid',
					'options' 				=> array(
												'2'		=> __( '2', 'aerious-core' ),
												'3'		=> __( '3', 'aerious-core' ),
												'4'		=> __( '4', 'aerious-core' ),
												'5'		=> __( '5', 'aerious-core' ),
												'6'		=> __( '6', 'aerious-core' ),
											),
					'std'					=> '3',
					'description' 			=> __( 'Choose Number of Columns for Grid Layout', 'aerious-core' ),
					'dependency' 			=> array( 'element'=>'type', 'value'=>'grid' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Pagination Options', 'aerious-core' ),
					'name'					=> 'pagination_option',
					'options' 				=> array(
												'pagination'	=> __( 'Pagination', 'aerious-core' ),
												'loadmore'		=> __( 'Load More', 'aerious-core' ),
												'scroll'		=> __( 'Infinite Scroll', 'aerious-core' ),
												'hide'			=> __( 'Hide', 'aerious-core' ),
											),
					'std'					=> 'scroll',
					'description' 			=> __( 'Choose Pagination Option', 'aerious-core' ),
					'dependency_trigger'	=> 'true',
					'dependency' 			=> array( 'element'=>'type', 'not_depend_on'=> 'slider' ),
				),
				array(
					'type' 					=> 'textfield',
					'title' 				=> __( 'Load More button text', 'aerious-core' ),
					'name' 					=> 'loadmore_text',
					'dependency' 			=> array( 'element' => 'pagination_option', 'value' => 'loadmore' ),
					'description' 			=> __( 'Enter text for load more button, leave empty to use default text', 'aerious-core' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Number of Posts', 'aerious-core' ),
					'name'					=> 'number',
					'description' 			=> __( 'Leave empty for all', 'aerious-core' ),
					'dependency' 			=> array( 'element'=>'pagination_option', 'not_depend_on'=> 'scroll' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Number of Posts for Slider', 'aerious-core' ),
					'name'					=> 'number_slider',
					'description' 			=> __( 'Leave empty for all', 'aerious-core' ),
					'dependency' 			=> array( 'element'=>'type', 'value'=>'slider' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Title tag', 'aerious-core' ),
					'name'					=> 'title_tag',
					'options' 				=> array(
												'div'		=> __('Theme Default', 'aerious-core'),
												'h1'		=> 'h1',
												'h2'		=> 'h2',
												'h3'		=> 'h3',
												'h4'		=> 'h4',
												'h5'		=> 'h5',
												'h6'		=> 'h6',
											),
					'std' 					=> 'h6',
					'description' 			=> __( 'Choose heading tag', 'aerious-core' ),
				),
				array(
					'type'					=> 'checkbox',
					'title'					=> __( 'Category', 'aerious-core' ),
					'name'					=> 'category',
					'options' 				=> aerious_sc_get_terms( 'category' ),
					'description' 			=> __( 'Uncheck all for all categories', 'aerious-core' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Post Content', 'aerious-core' ),
					'name'					=> 'post_content',
					'options' 				=> array(
												''			=> __( 'Hide', 'aerious-core' ),
												'excerpt'	=> __( 'Excerpt', 'aerious-core' ),
												'content'	=> __( 'Content', 'aerious-core' ),
											),
					'std' 					=> 'excerpt',
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Excerpt Limit', 'aerious-core' ),
					'name'					=> 'excerpt_limit',
					'description' 			=> __( 'Enter number of characters. Default is 140', 'aerious-core' ),
					'dependency' 			=> array( 'element' => 'post_content', 'value' => 'excerpt' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Featured Image', 'aerious-core' ),
					'name'					=> 'blog_thumbnail',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Video/Audio/Gallery/Link/Quote', 'aerious-core' ),
					'name'					=> 'blog_media',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Category', 'aerious-core' ),
					'name'					=> 'show_category',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Read More', 'aerious-core' ),
					'name'					=> 'show_readmore',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
					'std'					=> 'no',
					'dependency_trigger'	=> 'true',
					'dependency' 			=> array( 'element' => 'post_content', 'value' => 'excerpt' )
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Text', 'aerious-core' ),
					'name'					=> 'text_readmore',
					'description' 			=> __( 'Read more button text', 'aerious-core' ),
					'dependency' 			=> array( 'element' => 'show_readmore', 'value' => 'yes' )
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Date Format', 'aerious-core' ),
					'name'					=> 'date_format',
					'description' 			=> __( 'Date format: <a href="http://codex.wordpress.org/Formatting_Date_and_Time">Formatting Date and Time</a><br>Recommended: M d, Y', 'aerious' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Author', 'aerious-core' ),
					'name'					=> 'show_author',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
					'std' 					=> 'yes'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Like', 'aerious-core' ),
					'name'					=> 'show_like',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
					'std' 					=> 'yes'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Comments Count', 'aerious-core' ),
					'name'					=> 'show_comments',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
					'std' 					=> 'yes'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Social Sharing', 'aerious-core' ),
					'name'					=> 'show_social',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
					'std' 					=> 'yes'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Sorting Order', 'aerious-core' ),
					'name'					=> 'order_by',
					'options' 				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'id'			=> __( 'ID', 'aerious-core' ),
												'title'			=> __( 'Title', 'aerious-core' ),
												'name'			=> __( 'Name/Slug', 'aerious-core' ),
												'date'			=> __( 'Date', 'aerious-core' ),
												'menu_order'	=> __( 'Menu Order', 'aerious-core' ),
												'rand'			=> __( 'Random', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Order', 'aerious-core' ),
					'name'					=> 'order',
					'options' 				=> array(
												'ASC'	=> __( 'Ascending', 'aerious-core' ),
												'DESC'	=> __( 'Descending', 'aerious-core' ),
											),
				),
				$extra_class,
			),
			aerious_sc_carousel_settings( __( 'Carousel Settings', 'aerious-core' ) , array( 'type', 'slider' ) ),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Call to Action */
	if ( $element_name == 'aerious_call_to_action' ) {
	
		$fields = array_merge(
			array(
				array(
					'name'					=> 'show_button',
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Button', 'aerious-core' ),
					'options' 				=> array(
												'yes'		=> __( 'Yes', 'aerious-core' ),
												'no'		=> __( 'No', 'aerious-core' ),
											),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'button_position',
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Position', 'aerious-core' ),
					'options' 				=> array(
												'top'		=> __( 'Top', 'aerious-core' ),
												'right'		=> __( 'Right', 'aerious-core' ),
												'bottom'	=> __( 'Bottom', 'aerious-core' ),
												'left'		=> __( 'Left', 'aerious-core' ),
											),
					'std' 					=> 'right',
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_placement',
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Placement', 'aerious-core' ),
					'options' 				=> array(
												''			=> __( 'Default', 'aerious-core' ),
												'right'		=> __( 'Right', 'aerious-core' ),
												'center'	=> __( 'Center', 'aerious-core' ),
												'left'		=> __( 'Left', 'aerious-core' ),
											),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_text',
					'type'					=> 'textfield',
					'title'					=> __( 'Button Text', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_link',
					'type'					=> 'textfield',
					'title'					=> __( 'Button Link', 'aerious-core' ),
					'dependency_trigger'	=> 'true',
					'dependency' 			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_target',
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Link Target', 'aerious-core' ),
					'options' 				=> $target,
					'dependency' 			=> array( 'element'=>'button_link', 'not_empty'=>'true', )
				),
				array(
					'name'					=> 'button_style',
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Style', 'aerious-core' ),
					'options' 				=> $button_styles,
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' ),
				),
				array(
					'name'					=> 'button_size',
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Size', 'aerious-core' ),
					'options' 				=> array(
												''					=> __( 'Default', 'aerious-core' ),
												'aerious-btn-xs'	=> __( 'Mini', 'aerious-core' ),
												'aerious-btn-sm'	=> __( 'Small', 'aerious-core' ),
												'aerious-btn-md'	=> __( 'Medium', 'aerious-core' ),
												'aerious-btn-lg'	=> __( 'Large', 'aerious-core' ),
												'aerious-btn-xlg'	=> __( 'Extra Large', 'aerious-core' ),
											),
					'dependency' 			=> array( 'element'=>'show_button', 'value'=>'yes' ),
				),
				array(
					'name'					=> 'button_shape',
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Shape', 'aerious-core' ),
					'options' 				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'square'		=> __( 'Square', 'aerious-core' ),
												'round'			=> __( 'Round', 'aerious-core' ),
												'round_right'	=> __( 'Round from right', 'aerious-core' ),
												'round_left'	=> __( 'Round from left', 'aerious-core' ),
											),
					'dependency' 			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_full_width',
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Full Width', 'aerious-core' ),
					'options' 				=> array(
												''					=> __( 'No', 'aerious-core' ),
												'aerious-btn-block'	=> __( 'Yes', 'aerious-core' ),
											),
					'dependency' 			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
			),
			aerious_sc_icon_collection( '', 'button_', array( 'show_button', 'yes' ) ),
			array(
				array(
					'name'					=> 'button_custom_icon',
					'id'					=> 'ca-custom-icon',
					'type'					=> 'image-uploader',
					'title'					=> __( 'Button Custom Icon', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' ),
					'description'			=> __( 'This will overwites the above "Icon Pack" field', 'aerious-core' )
				),
				array(
					'name'					=> 'button_icon_position',
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Icon Position', 'aerious-core' ),
					'options' 				=> array(
												'left'	=> __( 'Left', 'aerious-core' ),
												'right'	=> __( 'Right', 'aerious-core' )
											),
					'dependency' 			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'content',
					'type'					=> 'textarea',
					'title'					=> __( 'Content', 'aerious-core' ),
					'value'					=> '<h3>Call to Action</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>',
					'rows'					=> '3'
				),
				array(
					'name'					=> 'space_bw_button_content',
					'type'					=> 'number',
					'title'					=> __( 'Space between button and content', 'aerious-core' ),
				),
				$extra_class,
				array(
					'name'					=> 'button_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Text Color', 'aerious-core' ),
					'group'					=> __( 'Button', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_hover_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Text Color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
					
				),
				array(
					'name'					=> 'button_bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Background', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
					
				),
				array(
					'name'					=> 'button_hover_bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Background Color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
					
				),
				array(
					'name'					=> 'button_border_style',
					'type'					=> 'dropdown',
					'title'					=> __( 'Border Style', 'aerious-core' ),
					'options' 				=> array(
												'none'		=> __( 'None', 'aerious-core' ),
												'solid'		=> __( 'Solid', 'aerious-core' ),
												'dotted'	=> __( 'Dotted', 'aerious-core' ),
												'dashed'	=> __( 'Dashed', 'aerious-core' ),
												'double'	=> __( 'Double', 'aerious-core' ),
												'groove'	=> __( 'Groove', 'aerious-core' ),
												'ridge'		=> __( 'Ridge', 'aerious-core' ),
												'inset'		=> __( 'Inset', 'aerious-core' ),
												'outset'	=> __( 'Outset', 'aerious-core' ),
											),
					'std'					=> 'solid',
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_hover_border_style',
					'type'					=> 'dropdown',
					'title'					=> __( 'Hover Border Style', 'aerious-core' ),
					'options' 				=> array(
												'none'		=> __( 'None', 'aerious-core' ),
												'solid'		=> __( 'Solid', 'aerious-core' ),
												'dotted'	=> __( 'Dotted', 'aerious-core' ),
												'dashed'	=> __( 'Dashed', 'aerious-core' ),
												'double'	=> __( 'Double', 'aerious-core' ),
												'groove'	=> __( 'Groove', 'aerious-core' ),
												'ridge'		=> __( 'Ridge', 'aerious-core' ),
												'inset'		=> __( 'Inset', 'aerious-core' ),
												'outset'	=> __( 'Outset', 'aerious-core' ),
											),
					'std'					=> 'solid',
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_border_width',
					'type'					=> 'number',
					'title'					=> __( 'Border Width', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_hover_border_width',
					'type'					=> 'number',
					'title'					=> __( 'Hover Border Width', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_border_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Border Color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
					
				),
				array(
					'name'					=> 'button_hover_border_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Border Color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
					
				),
				array(
					'name'					=> 'button_text_size',
					'type'					=> 'number',
					'title'					=> __( 'Text Size', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_text_transform',
					'type'					=> 'dropdown',
					'title'					=> __( 'Text Transform', 'aerious-core' ),
					'options' 				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'capitalize'	=> __( 'Capitalize', 'aerious-core' ),
												'uppercase'		=> __( 'Uppercase', 'aerious-core' ),
												'lowercase'		=> __( 'Lowercase', 'aerious-core' ),
											),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_icon_size',
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
				),
				array(
					'name'					=> 'button_icon_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
					
				),
				array(
					'name'					=> 'button_hover_icon_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Icon Color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'show_button', 'value'=>'yes' )
					
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Counter 1 */
	if ( $element_name == 'aerious_counter_1' ) {
	
		$fields = array_merge(
			array(
				array(
					'name'					=> 'title',
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'value',
					'type'					=> 'number',
					'title'					=> __( 'Value', 'aerious-core' ),
					'description' 			=> __( 'Enter number for counter without any special character. You may enter a decimal number. Eg 21.45', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'counter_sep',
					'type'					=> 'textfield',
					'title'					=> __( 'Thousands Separator', 'aerious-core' ),
					'description' 			=> __( 'Enter character for thousand separator. e.g. \',\' will separate 145000 into 145,000', 'aerious-core' )
				),
				array(
					'name'					=> 'counter_duration',
					'type'					=> 'number',
					'title'					=> __( 'Duration', 'aerious-core' ),
					'description' 			=> __( 'Enter number of seconds', 'aerious-core' ),
				),
				array(
					'name'					=> 'content_',
					'type'					=> 'textarea',
					'title'					=> __( 'Content', 'aerious-core' ),
					'rows'					=> '3',
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'text_align',
					'type'					=> 'dropdown',
					'title'					=> __( 'Alignment', 'aerious-core' ),
					'options' 				=> array(
												'text-left'		=> __( 'Left', 'aerious-core' ),
												'text-center'	=> __( 'Center', 'aerious-core' ),
												'text-right'	=> __( 'Right', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose alignment', 'aerious-core' ),
				),
				$extra_class,
			),
			aerious_sc_icon_collection( __( 'Icon', 'aerious-core' ) ),
			array(
				array(
					'name'					=> 'custom_icon',
					'id'					=> 'c1-custom-img',
					'type'					=> 'image-uploader',
					'title'					=> __( 'Custom Icon', 'aerious-core' ),
					'description' 			=> __( 'Upload custom icon', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_position',
					'type'					=> 'dropdown',
					'title'					=> __( 'Icon Position', 'aerious-core' ),
					'options' 				=> array(
												'top'	=> __( 'Top', 'aerious-core' ),
												'left'	=> __( 'Left', 'aerious-core' ),
												'right'	=> __( 'Right', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose icon position', 'aerious' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'icon_padding',
					'type'					=> 'textfield',
					'title'					=> __( 'Padding', 'aerious-core' ),
					'description' 			=> __( 'i.e. 10px 10px 10px 10px', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'icon_position', 'value' => 'right' ),
				),
				array(
					'name'					=> 'icon_size',
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' )
				),
				array(
					'name'					=> 'icon_bg_image_option',
					'type'					=> 'dropdown',
					'title'					=> __( 'Background Image Option', 'aerious-core' ),
					'options' 				=> array(
												''			=> __( 'Theme Default', 'aerious-core' ),
												'custom'	=> __( 'Custom', 'aerious-core' ),
											),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'icon_bg_image',
					'id'					=> 'c1-custom-icon',
					'type'					=> 'image-uploader',
					'title'					=> __( 'Background Image', 'aerious-core' ),
					'description' 			=> __( 'Upload background image for icon', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'icon_bg_image_option', 'value' => 'custom'),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'icon_bg_height',
					'type'					=> 'number',
					'title'					=> __( 'Background Image Height', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'icon_bg_image', 'not_empty' => 'true')
				),
				array(
					'type' 					=> 'colorpicker',
					'title' 				=> __( 'Title Color', 'aerious-core' ),
					'name' 					=> 'title_color',
					'group' 				=> __( 'Design Options', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'title', 'not_empty' => 'true' )
				),
				array(
					'name'					=> 'title_size',
					'type'					=> 'number',
					'title'					=> __( 'Title Font Size', 'aerious-core' ),
					'description' 			=> __( 'Enter title font size', 'aerious' ),
					'dependency'			=> array( 'element' => 'title', 'not_empty' => 'true')
				),
				array(
					'name'					=> 'title_height',
					'type'					=> 'textfield',
					'title'					=> __( 'Title Line Height', 'aerious-core' ),
					'description' 			=> __( 'Enter title line height', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'title', 'not_empty' => 'true' ),
				),
				array(
					'type' 					=> 'colorpicker',
					'title' 				=> __( 'Counter Color', 'aerious-core' ),
					'name' 					=> 'counter_color',
					'dependency'			=> array( 'element' => 'value', 'not_empty' => 'true' )
				),
				array(
					'name'					=> 'counter_size',
					'type'					=> 'number',
					'title'					=> __( 'Counter Font Size', 'aerious-core' ),
					'description' 			=> __( 'Enter counter font size', 'aerious' ),
					'dependency'			=> array( 'element' => 'value', 'not_empty' => 'true')
				),
				array(
					'type' 					=> 'colorpicker',
					'title' 				=> __( 'Content Color', 'aerious-core' ),
					'name' 					=> 'content_color',
					'dependency'			=> array( 'element' => 'content_', 'not_empty' => 'true' )
				),
				array(
					'name'					=> 'content_size',
					'type'					=> 'number',
					'title'					=> __( 'Content Font Size', 'aerious-core' ),
					'description' 			=> __( 'Enter content font size', 'aerious' ),
					'dependency'			=> array( 'element' => 'content_', 'not_empty' => 'true')
				),
				array(
					'name'					=> 'content_height',
					'type'					=> 'textfield',
					'title'					=> __( 'Content Line Height', 'aerious-core' ),
					'description' 			=> __( 'Enter content line height', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'content_', 'not_empty' => 'true' ),
				),
				array(
					'name'					=> 'icon_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'icon_pack', 'not_empty' => 'true' )
				),
				array(
					'name'					=> 'hover_icon_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Icon Color', 'aerious-core' ),
					'description' 			=> __( 'Choose hover color of your icon', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'icon_pack', 'not_empty' => 'true' )
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}

	/* Counter 2 */
	if ( $element_name == 'aerious_counter_2' ) {
	
		$fields = array_merge(
			array(
				array(
					'name'					=> 'title',
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'value',
					'type'					=> 'number',
					'title'					=> __( 'Value', 'aerious-core' ),
					'description' 			=> __( 'Enter number for counter without any special character. You may enter a decimal number. Eg 21.45', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'counter_sep',
					'type'					=> 'textfield',
					'title'					=> __( 'Thousands Separator', 'aerious-core' ),
					'description' 			=> __( 'Enter character for thousand separator. e.g. \',\' will separate 145000 into 145,000', 'aerious-core' )
				),
				array(
					'name'					=> 'counter_duration',
					'type'					=> 'number',
					'title'					=> __( 'Duration', 'aerious-core' ),
					'value'					=> '1',
					'description' 			=> __( 'Enter number of seconds', 'aerious-core' ),
				),
				array(
					'name'					=> 'content_',
					'type'					=> 'textarea',
					'title'					=> __( 'Content', 'aerious-core' ),
					'rows'					=> '3',
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'text_align',
					'type'					=> 'dropdown',
					'title'					=> __( 'Alignment', 'aerious-core' ),
					'options' 				=> array(
												'text-left'		=> __( 'Left', 'aerious-core' ),
												'text-center'	=> __( 'Center', 'aerious-core' ),
												'text-right'	=> __( 'Right', 'aerious-core' ),
											),
					'std' 					=> 'text-center',
					'description' 			=> __( 'Choose alignment', 'aerious-core' ),
				),
				$extra_class,
				array(
					'name'					=> 'counter_size',
					'type'					=> 'number',
					'group'					=> __( 'Counter', 'aerious-core' ),
					'title'					=> __( 'Counter Size', 'aerious-core' ),
				),
				array(
					'name'					=> 'counter_bg_image',
					'id'					=> 'c2-custom-icon',
					'type'					=> 'image-uploader',
					'title'					=> __( 'Background Image', 'aerious-core' ),
					'description' 			=> __( 'Upload background image for counter', 'aerious-core' ),
				),
				array(
					'name'					=> 'counter_bg_height',
					'type'					=> 'number',
					'title'					=> __( 'Background Image Height', 'aerious-core' ),
				),
				array(
					'type' 					=> 'colorpicker',
					'title' 				=> __( 'Title Color', 'aerious-core' ),
					'name' 					=> 'title_color',
					'group' 				=> __( 'Design Options', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'title', 'not_empty' => true)
				),
				array(
					'type' 					=> 'colorpicker',
					'title' 				=> __( 'Counter Color', 'aerious-core' ),
					'name' 					=> 'counter_color',
					'dependency'			=> array( 'element' => 'value', 'not_empty' => true)
				),
				array(
					'name'					=> 'content_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Counter Color', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'content_', 'not_empty' => true)
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Clients - Carousel */
	if ($element_name == 'aerious_clients') {
	
		$fields = array_merge(
			array(
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Number of Columns', 'aerious-core' ),
					'name'					=> 'columns',
					'options' 				=> array(
												'1'	=> __( '1', 'aerious-core' ),
												'2'	=> __( '2', 'aerious-core' ),
												'3'	=> __( '3', 'aerious-core' ),
												'4'	=> __( '4', 'aerious-core' ),
												'5'	=> __( '5', 'aerious-core' ),
												'6'	=> __( '6', 'aerious-core' ),
											),
					'std' 					=> '6',
					'description' 			=> __( 'Number of items showing in a row', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Sorting Order', 'aerious-core' ),
					'name'					=> 'order_by',
					'options' 				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'id'			=> __( 'ID', 'aerious-core' ),
												'title'			=> __( 'Title', 'aerious-core' ),
												'name'			=> __( 'Name/Slug', 'aerious-core' ),
												'date'			=> __( 'Date', 'aerious-core' ),
												'menu_order'	=> __( 'Menu Order', 'aerious-core' ),
												'rand'			=> __( 'Random', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Order', 'aerious-core' ),
					'name'					=> 'order',
					'options' 				=> array(
												'ASC'	=> __( 'Ascending', 'aerious-core' ),
												'DESC'	=> __( 'Descending', 'aerious-core' ),
											),
					'std'					=> 'DESC',
				),
				array(
					'name'					=> 'category',
					'type'					=> 'checkbox',
					'title'					=> __( 'Categories', 'aerious-core' ),
					'options' 				=> aerious_sc_get_terms( 'clients_category' ),
					'description' 			=> __( 'Uncheck all for all categories', 'aerious-core' ),
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Number of Clients', 'aerious-core' ),
					'name'					=> 'number',
					'description' 			=> __( 'Leave empty for all', 'aerious-core' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Image Style', 'aerious-core' ),
					'name'					=> 'image_style',
					'options' 				=> array(
												''						=> __( 'Default', 'aerious-core' ),
												'image-bg-color'		=> __( 'Background', 'aerious-core' ),
												'aerious-image-line'	=> __( 'Line', 'aerious-core' ),
												'aerious-image-zoom'	=> __( 'Zoom', 'aerious-core' ),
												'aerious-image-change'	=> __( 'Change', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose image style which applied on hover', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Background Color', 'aerious-core' ),
					'name'					=> 'image_bg_color',
					'dependency'			=> array( 'element' => 'image_style', 'value' => 'image-bg-color' )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Line Color', 'aerious-core' ),
					'name'					=> 'image_hover_line_color',
					'dependency'			=> array( 'element' => 'image_style', 'value' => 'aerious-image-line' )
				),
				
				$extra_class,
			),
			aerious_sc_carousel_settings( __( 'Carousel Settings', 'aerious-core' ) ),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Dropcap */
	if ($element_name == 'aerious_dropcap') {
	
		$fields = array_merge(
			array(
				array(
					'name'					=> 'dropcap',
					'type'					=> 'textfield',
					'title'					=> __( 'Dropcap letter', 'aerious-core' ),
					'description' 			=> __( 'Enter first letter for dropcap', 'aerious-core' ),
				),
				array(
					'name'					=> 'size',
					'type'					=> 'number',
					'title'					=> __( 'Size', 'aerious-core' ),
					'description' 			=> __( 'Enter size of dropcap', 'aerious-core' ),
				),
				array(
					'name'					=> 'color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Color', 'aerious-core' ),
					'description' 			=> __( 'Choose color for dropcap', 'aerious-core' ),
				),
				array(
					'name'					=> 'bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Background Color', 'aerious-core' ),
					'description' 			=> __( 'Choose background color for dropcap', 'aerious-core' ),
				),
				array(
					'name'					=> 'content',
					'type'					=> 'textarea',
					'title'					=> __( 'Content', 'aerious-core' ),
					'rows'					=> '5'
				),

				$extra_class,
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Feature Box */
	if ( $element_name == 'aerious_feature_box' ) {
	
		$fields = array_merge(
			aerious_sc_icon_collection( '', '', '' ),
			array(
				array(
					'type'					=> 'textarea',
					'title'					=> __( 'Content', 'aerious-core' ),
					'name'					=> 'content_',
					'rows'					=> '3'
				),
				$extra_class,
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Background', 'aerious-core' ),
					'name'					=> 'background_color',
					'group'					=> __( 'Design Options', 'aerious-core' ),
					'description' 			=> __( 'Choose box background color', 'aerious-core' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Background', 'aerious-core' ),
					'name'					=> 'hover_bg_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Color', 'aerious-core' ),
					'name'					=> 'text_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Color', 'aerious-core' ),
					'name'					=> 'hover_color',
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' ),
					'name'					=> 'icon_size',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'name'					=> 'icon_color',
					'description'			=> __( 'Choose color for icon', 'aerious-core' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Icon Color', 'aerious-core' ),
					'name'					=> 'hover_icon_color',
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Border Style', 'aerious-core' ),
					'name'					=> 'border_style',
					'options' 				=> array(
												''			=> __( 'None', 'aerious-core' ),
												'solid'		=> __( 'Solid', 'aerious-core' ),
												'dotted'	=> __( 'Dotted', 'aerious-core' ),
												'dashed'	=> __( 'Dashed', 'aerious-core' ),
												'double'	=> __( 'Double', 'aerious-core' ),
												'groove'	=> __( 'Groove', 'aerious-core' ),
												'ridge'		=> __( 'Ridge', 'aerious-core' ),
												'inset'		=> __( 'Inset', 'aerious-core' ),
												'outset'	=> __( 'Outset', 'aerious-core' ),
											),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Border Position', 'aerious-core' ),
					'name'					=> 'border_position',
					'options' 				=> array(
												'none'		=> __( 'Select Option', 'aerious-core' ),
												'top'		=> __( 'Top', 'aerious-core' ),
												'bottom'	=> __( 'Bottom', 'aerious-core' ),
												'left'		=> __( 'Left', 'aerious-core' ),
												'right'		=> __( 'Right', 'aerious-core' ),
											),
					'dependency'			=> array( 'element'=>'border_style', 'not_empty' => 'true')
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Border Size', 'aerious-core' ),
					'name'					=> 'border_width',
					'dependency'			=> array( 'element'=>'border_style', 'not_empty' => 'true' )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Border Color', 'aerious-core' ),
					'name'					=> 'border_color',
					'dependency'			=> array( 'element'=>'border_style', 'not_empty' => 'true' )
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Headline */
	if ( $element_name == 'aerious_headline' ) {
	
		$fields = array_merge(
			array(
				array(
					'name'					=> 'headline',
					'type'					=> 'textfield',
					'title'					=> __( 'Headline', 'aerious-core' ),
					'description' 			=> __( 'Enter headline text', 'aerious-core' )
				),
				array(
					'name'					=> 'show_line',
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Line', 'aerious-core' ),
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
					'std' 					=> 'no',
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'line_type',
					'type'					=> 'dropdown',
					'title'					=> __( 'Line Type', 'aerious-core' ),
					'options' 				=> array(
												'solid'		=> __( 'Solid line', 'aerious-core' ),
												'dotted'	=> __( 'Dotted line', 'aerious-core' ),
												'dashed'	=> __( 'Dashed line', 'aerious-core' ),
												'double'	=> __( 'Double line', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose type of line', 'aerious-core' ),
					'dependency' 			=> array( 'element' => 'show_line', 'value' => 'yes' ),
					'std'					=> 'double'
				),
				array(
					'name'					=> 'line_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Line Color', 'aerious-core' ),
					'description' 			=> __( 'Choose color of line', 'aerious-core' ),
					'dependency' 			=> array( 'element' => 'show_line', 'value' => 'yes' ),
					
				),
				array(
					'name'					=> 'line_height',
					'type'					=> 'number',
					'title'					=> __( 'Line Height', 'aerious-core' ),
					'description' 			=> __( 'Enter height of line', 'aerious-core' ),
					'dependency' 			=> array( 'element' => 'show_line', 'value' => 'yes' ),
				),
				$extra_class,
				array(
					'name'					=> 'color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Color', 'aerious-core' ),
					'description'			=> __( 'Choose color of your heading', 'aerious-core' ),
					'group'					=> __( 'Typography', 'aerious-core' )
				),
				array(
					'name'					=> 'tag',
					'type'					=> 'dropdown',
					'title'					=> __( 'Type', 'aerious-core' ),
					'options' 				=> array(
												'h1'	=> 'H1',
												'h2'	=> 'H2',
												'h3'	=> 'H3',
												'h4'	=> 'H4',
												'h5'	=> 'H5',
												'h6'	=> 'H6',
											),
					'std' 					=> 'h6',
					'description' 			=> __( 'Choose heading tag', 'aerious-core' ),
				),
				array(
					'name'					=> 'font_size',
					'type'					=> 'number',
					'title'					=> __( 'Text Size', 'aerious-core' ),
					'description' 			=> __( 'Enter heading size, leave empty for default heading size', 'aerious-core' ),
				),
				array(
					'name'					=> 'text_transform',
					'type'					=> 'dropdown',
					'title'					=> __( 'Text Transform', 'aerious-core' ),
					'options' 				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'capitalize'	=> __( 'Capitalize', 'aerious-core' ),
												'uppercase'		=> __( 'Uppercase', 'aerious-core' ),
												'lowercase'		=> __( 'Lowercase', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose type of line', 'aerious-core' ),
				),
				array(
					'name'					=> 'text_align',
					'type'					=> 'dropdown',
					'title'					=> __( 'Text Align', 'aerious-core' ),
					'options' 				=> array(
												'text-left'		=> __( 'Left', 'aerious-core' ),
												'text-center'	=> __( 'Center', 'aerious-core' ),
												'text-right'	=> __( 'Right', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose text align for heading', 'aerious-core' ),
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Horizontal Progress Bar */
	if ( $element_name == 'aerious_horizontal_progress_bar' ) {
	
		$fields = array_merge(
			array(
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
					'name'					=> 'title',
					'description' 			=> __( 'Enter heading text', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Percentage', 'aerious-core' ),
					'name'					=> 'percentage',
					'dependency_trigger'	=> 'true'
				),
				$extra_class,
			),
			aerious_sc_icon_collection( __( 'Icon', 'aerious-core' ), '', '' ),
			array(
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Bar Color', 'aerious-core' ),
					'name'					=> 'active_bar_color',
					'description' 			=> __( 'Choose color for active bar', 'aerious-core' ),
					'group'					=> __( 'Design Options', 'aerious-core' )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Inactive Bar Color', 'aerious-core' ),
					'name'					=> 'inactive_bar_color',
					'description' 			=> __( 'Choose color for inactive bar', 'aerious-core' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Title Color', 'aerious-core' ),
					'name'					=> 'title_color',
					'description' 			=> __( 'Choose title color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'title', 'not_empty'=>'true' )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Title Background Color', 'aerious-core' ),
					'name'					=> 'title_bg_color',
					'description' 			=> __( 'Choose title background color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'title', 'not_empty'=>'true' )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Percentage Color', 'aerious-core' ),
					'name'					=> 'percentage_color',
					'description' 			=> __( 'Choose percentage color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'percentage', 'not_empty'=>'true' )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'name'					=> 'icon_color',
					'description' 			=> __( 'Choose icon color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'icon_pack', 'not_empty'=>'true' )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Background Color', 'aerious-core' ),
					'name'					=> 'icon_bg_color',
					'description' 			=> __( 'Choose icon background color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'icon_pack', 'not_empty'=>'true' )
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Image Gallery */
	if( $element_name == 'aerious_image_gallery' ){
		$fields = array_merge(
			array(
				array(
					'name'					=> 'images',
					'id'					=> 'sc-img-galllery',
					'type'					=> 'multi-img-uploader',
					'title'					=> __( 'Images', 'aerious-core' )
				),
				array(
					'name'					=> 'type',
					'type'					=> 'dropdown',
					'title'					=> __( 'Gallery Type', 'aerious-core' ),
					'options' 				=> array(
												'slider'	=> __( 'Slider - Carousel', 'aerious-core' ),
												'grid'		=> __( 'Grid', 'aerious-core' )
											),
				),
				array(
					'name'					=> 'columns',
					'type'					=> 'dropdown',
					'title'					=> __( 'Number of Columns', 'aerious-core' ),
					'description'			=> __( 'Number of items showing in a row', 'aerious-core' ),
					'options' 				=> array(
												'1'		=> __( '1', 'aerious-core' ),
												'2'		=> __( '2', 'aerious-core' ),
												'3'		=> __( '3', 'aerious-core' ),
												'4'		=> __( '4', 'aerious-core' ),
												'5'		=> __( '5', 'aerious-core' ),
												'6'		=> __( '6', 'aerious-core' )
											),
				),
				array(
					'name'					=> 'size',
					'type'					=> 'textfield',
					'title'					=> __( 'Image Size', 'aerious-core' ),
					'description'			=> __( 'Enter image size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use full image size', 'aerious-core' )
				),
				array(
					'name'					=> 'lightbox',
					'type'					=> 'dropdown',
					'title'					=> __( 'Image Open in lightbox', 'aerious-core' ),
					'options' 				=> array(
												'true'	=> __( 'Yes', 'aerious-core' ),
												'false'		=> __( 'No', 'aerious-core' )
											)
				),
				array(
					'name'					=> 'navigation_color',
					'type'					=> 'checkbox',
					'title'					=> __( 'Transparent Navigation Color', 'aerious-core' ),
					'options' 				=> array(
												'1'	=> __( 'Yes', 'aerious-core' )  
											)
				),
				$extra_class,
			),
			aerious_sc_carousel_settings( __( 'Carousel Settings', 'aerious-core' ), array( 'type', 'slider' ) ),
			aerious_sc_animations_fields()
		);
		aerious_ElementFields( $fields );
	}
	
	/* Image List Item */
	if ( $element_name == 'aerious_image_list_item' ) {
	
		$fields = array_merge(
			array(
				array(
					'name'					=> 'image',
					'id'					=> 'il-custom-icon',
					'type'					=> 'image-uploader',
					'title'					=> __( 'Image', 'aerious-core' ),
					'description' 			=> __( 'Upload image...', 'aerious-core' )
				),
				array(
					'name'					=> 'image_size',
					'type'					=> 'dropdown',
					'title'					=> __( 'Image Size', 'aerious-core' ),
					'options' 				=> array(
												'default'	=> __( 'Default', 'aerious-core' ),
												'original'	=> __( 'Original', 'aerious-core' ),
												'custom'	=> __( 'Custom', 'aerious-core' ),
											),
					'description' 			=> __( 'Default size is 30x30', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'width',
					'type'					=> 'number',
					'title'					=> __( 'Width', 'aerious-core' ),
					'description' 			=> __( 'Enter width of your image', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'image_size', 'value' => 'custom' ),
				),
				array(
					'name'					=> 'height',
					'type'					=> 'number',
					'title'					=> __( 'Height', 'aerious-core' ),
					'description' 			=> __( 'Enter height of your image', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'image_size', 'value' => 'custom' ),
				),
				array(
					'name'					=> 'title',
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
				),
				array(
					'name'					=> 'padding_left',
					'type'					=> 'number',
					'title'					=> __( 'Spacing between Title and Image', 'aerious-core' ),
				),
				array(
					'name'					=> 'margin_bottom',
					'type'					=> 'number',
					'title'					=> __( 'Margin Bottom', 'aerious-core' ),
				),
				
				$extra_class,
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	// Icon with Text
	if ( $element_name == 'aerious_icon_with_text' ) {
	
		$fields = array_merge(
			aerious_sc_icon_collection( '', '', '' ),
			array(
				array(
					'name'					=> 'custom_icon',
					'id'					=> 'iwt-custom-icon',
					'type'					=> 'image-uploader',
					'title'					=> __( 'Custom Icon', 'aerious-core' ),
					'description' 			=> __( 'Upload image', 'aerious-core' )
				),
				array(
					'name'					=> 'title',
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
				),
				array(
					'name'					=> 'content_',
					'type'					=> 'textarea',
					'title'					=> __( 'Content', 'aerious-core' ),
					'rows'					=> '3',
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'link',
					'type'					=> 'textfield',
					'title'					=> __( 'Link', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'target',
					'type'					=> 'dropdown',
					'title'					=> __( 'Target', 'aerious-core' ),
					'options'				=> $target,
					'dependency'			=> array( 'element'=>'link', 'not_empty'=>'true' )
				),
				$extra_class,
				array(
					'name'					=> 'icon_color',
					'type'					=> 'dropdown',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'options' 				=> array(
												''			=> '',
												'default'	=> __( 'Theme Color', 'aerious-core' ),
												'custom'	=> __( 'Custom', 'aerious-core' ),
											),
					'group'					=> __( 'Icon Settings', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'icon_custom_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'description' 			=> __( 'Choose color of your icon', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'icon_color', 'value' => 'custom' )
				),
				array(
					'name'					=> 'hover_icon_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Icon Color', 'aerious-core' ),
					'description' 			=> __( 'Choose hover color of your icon', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'icon_color', 'value' => 'custom' )
				),
				array(
					'name'					=> 'icon_size',
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' ),
					'description' 			=> __( 'Enter icon size', 'aerious-core' )
				),
				array(
					'name'					=> 'icon_placement',
					'type'					=> 'dropdown',
					'title'					=> __( 'Icon Placement', 'aerious-core' ),
					'options' 				=> array(
												'left'		=> __( 'Left', 'aerious-core' ),
												'center'	=> __( 'Center', 'aerious-core' ),
												'right'		=> __( 'Right', 'aerious-core' ),
											),
					'std' 					=> 'center',
					'description' 			=> __( 'Choose icon placement', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_bg_style',
					'type'					=> 'dropdown',
					'title'					=> __( 'Icon Background Style', 'aerious-core' ),
					'options' 				=> array(
												''			=> __( 'Theme Default', 'aerious-core' ),
												'square'	=> __( 'Square', 'aerious-core' ),
												'circle'	=> __( 'Circle', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose icon background style', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Background Color', 'aerious-core' ),
					'description' 			=> __( 'Choose background color of your icon', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_bg_hover_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Background Hover Color', 'aerious-core' ),
					'description' 			=> __( 'Choose hover background color of your icon', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_bg_size',
					'type'					=> 'number',
					'title'					=> __( 'Icon Background Size', 'aerious-core' ),
					'description' 			=> __( 'Enter icon background size', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_border_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Border Color', 'aerious-core' ),
					'description' 			=> __( 'Choose border color for your icon', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_hover_border_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Hover Border Color', 'aerious-core' ),
					'description' 			=> __( 'Choose hover border color for your icon', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_border_size',
					'type'					=> 'textfield',
					'title'					=> __( 'Icon Border Size', 'aerious-core' ),
					'description' 			=> __( 'Enter icon border size with valid CSS unit (px, em, %)', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_border_radius',
					'type'					=> 'number',
					'title'					=> __( 'Icon Border Radius', 'aerious-core' ),
					'description' 			=> __( 'Enter icon border radius', 'aerious-core' ),
				),
				array(
					'name'					=> 'text_align',
					'type'					=> 'dropdown',
					'title'					=> __( 'Text Align', 'aerious-core' ),
					'options' 				=> array(
												'left'		=> __( 'Left', 'aerious-core' ),
												'center'	=> __( 'Center', 'aerious-core' ),
												'right'		=> __( 'Right', 'aerious-core' ),
											),
					'std' 					=> 'center',
					'group' 				=> __( 'Text Settings', 'aerious-core' ),
					'description' 			=> __( 'Choose icon placement', 'aerious-core' ),
				),
				array(
					'name'					=> 'title_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Title Color', 'aerious-core' ),
					'description' 			=> __( 'Choose color of your title text', 'aerious-core' ),
				),
				array(
					'type' 					=> 'colorpicker',
					'title' 				=> __( 'Title Hover Color', 'aerious-core' ),
					'name' 					=> 'title_hover_color',
					'description' 			=> __( 'Choose hover color of your title text', 'aerious-core' ),
				),
				array(
					'name'					=> 'title_size',
					'type'					=> 'number',
					'title'					=> __( 'Title Size', 'aerious-core' ),
					'description' 			=> __( 'Enter size of title text', 'aerious-core' ),
				),
				array(
					'name'					=> 'content_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Content Color', 'aerious-core' ),
					'description' 			=> __( 'Choose color of your content text', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'content_', 'not_empty' => 'true' )
				),
				array(
					'name'					=> 'content_size',
					'type'					=> 'number',
					'title'					=> __( 'Content Size', 'aerious-core' ),
					'description' 			=> __( 'Enter size of content text', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'content_', 'not_empty' => 'true' )
				),
				array(
					'name'					=> 'content_height',
					'type'					=> 'textfield',
					'title'					=> __( 'Content line height', 'aerious-core' ),
					'description' 			=> __( 'Enter content text line heigth with valid CSS unit (px, em, %)', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'content_', 'not_empty' => 'true' )
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Icon List Item */
	if ( $element_name == 'aerious_icon_list_item' ) {
	
		$fields = array_merge(
			aerious_sc_icon_collection( '', '', '' ),
			array(
				array(
					'name'					=> 'icon_size',
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' ),
				),
				array(
					'name'					=> 'icon_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
				),
				array(
					'name'					=> 'title',
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type' 					=> 'colorpicker',
					'title' 				=> __( 'Title Color', 'aerious-core' ),
					'name' 					=> 'title_color',
					'description' 			=> __( 'Choose color of your title text', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'title', 'not_empty' => 'true' )
				),
				array(
					'name'					=> 'link',
					'type'					=> 'textfield',
					'title'					=> __( 'Link', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'target',
					'type'					=> 'dropdown',
					'title'					=> __( 'Target', 'aerious-core' ),
					'options'				=> $target,
					'dependency' 			=> array( 'element'=>'link', 'not_empty'=>'true', )
				),
				array(
					'name'					=> 'padding_right',
					'type'					=> 'number',
					'title'					=> __( 'Spacing between Title and Icon', 'aerious-core' ),
				),
				array(
					'name'					=> 'margin_bottom',
					'type'					=> 'number',
					'title'					=> __( 'Margin Bottom', 'aerious-core' ),
				),

				$extra_class,
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}

	// Icon Progress Bar
	if ($element_name == 'aerious_icon_progress_bar') {
	
		$fields = array_merge(
			array(
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
					'name'					=> 'title',
					'description' 			=> __( 'Enter heading text', 'aerious-core' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Percentage', 'aerious-core' ),
					'name'					=> 'percentage',
					'dependency_trigger'	=> 'true',
					'description'			=> __( 'Leave empty in order to hide this', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'dropdown',
					'name'					=> 'percentage_pos',
					'title'					=> __( 'Percentage Position', 'aerious-core' ),
					'options' 				=> array(
												''			=> __( 'Extreem Right', 'aerious-core' ),
												'right'		=> __( 'Right side of the title', 'aerious-core' ),
											),
					'dependency'			=> array( 'element'=>'percentage', 'not_empty'=>'true' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Percentage Seperator', 'aerious-core' ),
					'name'					=> 'separator',
					'description'			=> __( 'Leave empty in order to hide this', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'percentage_pos', 'value' => 'right' )
				),
				$extra_class,
			),
			aerious_sc_icon_collection( __( 'Icon', 'aerious-core' ), '', '' ),
			array(
				array(
					'type'					=> 'number',
					'title'					=> __( 'Number of Icons', 'aerious-core' ),
					'name'					=> 'num_of_icon',
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Number of Active Icons', 'aerious-core' ),
					'name'					=> 'active_icon',
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' ),
					'name'					=> 'icon_size',
					'group'					=> __( 'Design Options', 'aerious-core' )
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Spacing Between Icons', 'aerious-core' ),
					'name'					=> 'icon_spacing',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'name'					=> 'icon_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Background Color', 'aerious-core' ),
					'name'					=> 'icon_bg_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Inactive Icon Color', 'aerious-core' ),
					'name'					=> 'inactive_icon_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Inactive Icon Background Color', 'aerious-core' ),
					'name'					=> 'inactive_icon_bg_color',
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Image Box */
	if( $element_name == 'aerious_image_box' ){
		$fields = array_merge(
			array(
				array(
					'type'					=> 'image-uploader',
					'title'					=> __( 'Image', 'aerious-core' ),
					'id'					=> 'ib_custom_image',
					'name'					=> 'image'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Hover Style', 'aerious-core' ),
					'name'					=> 'hover_style',
					'options'				=> array(
												''			=> __( 'Default', 'aerious-core' ),
												'effect5'	=> __( 'Effect 1', 'aerious-core' ),
												'effect6'	=> __( 'Effect 2', 'aerious-core' ),
												'effect7'	=> __( 'Effect 3', 'aerious-core' ),
												'effect8'	=> __( 'Effect 4', 'aerious-core' ),
												'effect10'	=> __( 'Effect 5', 'aerious-core' ),
												'effect11'	=> __( 'Effect 6', 'aerious-core' ),
												'effect12'	=> __( 'Effect 7', 'aerious-core' ),
												'effect13'	=> __( 'Effect 8', 'aerious-core' ),
												'effect14'	=> __( 'Effect 9', 'aerious-core' ),
												'effect15'	=> __( 'Effect 10', 'aerious-core' )
											),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Hover Overlay Style', 'aerious-core' ),
					'name'					=> 'hover_overlay_style5',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'left_to_right'	=> __( 'Left To Right', 'aerious-core' ),
												'right_to_left'	=> __( 'Right To Left', 'aerious-core' ),
											),
					'dependency'			=> array( 'element' => 'hover_style', 'value' => 'effect5' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Hover Overlay Style', 'aerious-core' ),
					'name'					=> 'hover_overlay_style6',
					'options'				=> array(
												''						=> __( 'Default', 'aerious-core' ),
												'top_to_bottom'			=> __( 'Top To Bottom', 'aerious-core' ),
												'bottom_to_top'			=> __( 'Bottom To Top', 'aerious-core' ),
												'from_left_and_right'	=> __( 'Left And Right', 'aerious-core' ),
											),
					'dependency'			=> array('element' => 'hover_style', 'value' => 'effect6')
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Hover Overlay Style', 'aerious-core' ),
					'name'					=> 'hover_overlay_style8',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'scale_up'		=> __( 'Scale Up', 'aerious-core' ),
												'scale_down'	=> __( 'Scale Down', 'aerious-core' ),
											),
					'dependency'			=> array( 'element' => 'hover_style', 'value' => 'effect8' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Hover Overlay Style', 'aerious-core' ),
					'name'					=> 'hover_overlay_style10',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'left_to_right'	=> __( 'Left To Right', 'aerious-core' ),
												'right_to_left'	=> __( 'Right To Left', 'aerious-core' ),
												'top_to_bottom'	=> __( 'Top To Bottom', 'aerious-core' ),
												'bottom_to_top'	=> __( 'Bottom To Top', 'aerious-core' ),
											),
					'dependency'			=> array('element' => 'hover_style', 'value' => 'effect10')
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Hover Overlay Style', 'aerious-core' ),
					'name'					=> 'hover_overlay_style11',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'left_to_right'	=> __( 'Left To Right', 'aerious-core' ),
												'right_to_left'	=> __( 'Right To Left', 'aerious-core' ),
												'top_to_bottom'	=> __( 'Top To Bottom', 'aerious-core' ),
												'bottom_to_top'	=> __( 'Bottom To Top', 'aerious-core' ),	
											),
					'dependency'			=> array('element' => 'hover_style', 'value' => 'effect11')
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Hover Overlay Style', 'aerious-core' ),
					'name'					=> 'hover_overlay_style12',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'left_to_right'	=> __( 'Left To Right', 'aerious-core' ),
												'right_to_left'	=> __( 'Right To Left', 'aerious-core' ),
												'top_to_bottom'	=> __( 'Top To Bottom', 'aerious-core' ),
												'bottom_to_top'	=> __( 'Bottom To Top', 'aerious-core' ),
											),
					'dependency'			=> array('element' => 'hover_style', 'value' => 'effect12')
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Hover Overlay Style', 'aerious-core' ),
					'name'					=> 'hover_overlay_style13',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'left_to_right'	=> __( 'Left To Right', 'aerious-core' ),
												'right_to_left'	=> __( 'Right To Left', 'aerious-core' ),
												'top_to_bottom'	=> __( 'Top To Bottom', 'aerious-core' ),
												'bottom_to_top'	=> __( 'Bottom To Top', 'aerious-core' ),	
											),
					'dependency'			=> array('element' => 'hover_style', 'value' => 'effect13')
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Hover Overlay Style', 'aerious-core' ),
					'name'					=> 'hover_overlay_style14',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'left_to_right'	=> __( 'Left To Right', 'aerious-core' ),
												'right_to_left'	=> __( 'Right To Left', 'aerious-core' ),
												'top_to_bottom'	=> __( 'Top To Bottom', 'aerious-core' ),
												'bottom_to_top'	=> __( 'Bottom To Top', 'aerious-core' ),
											),
					'dependency'			=> array('element' => 'hover_style', 'value' => 'effect14')
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Hover Overlay Style', 'aerious-core' ),
					'name'					=> 'hover_overlay_style15',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'left_to_right'	=> __( 'Left To Right', 'aerious-core' ),
												'right_to_left'	=> __( 'Right To Left', 'aerious-core' ),
												'top_to_bottom'	=> __( 'Top To Bottom', 'aerious-core' ),
												'bottom_to_top'	=> __( 'Bottom To Top', 'aerious-core' ),
											),
					'dependency'			=> array('element' => 'hover_style', 'value' => 'effect15')
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
					'name'					=> 'title',
					'dependency_trigger'	=> 'true'
				),
			),
			aerious_sc_icon_collection('', '', ''),
			array(
				array(
					'type'					=> 'image-uploader',
					'title'					=> __( 'Custom Icon', 'aerious-core' ),
					'name'					=> 'custom_icon',
					'id'					=> 'ib_custom_icon',
					'description'			=> __( 'Select custom icon to be used on image', 'aerious-core' ),
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Box Link', 'aerious-core' ),
					'name'					=> 'link',
					'dependency_trigger'	=> 'true'
				),
				array(
					 'name' 				=> 'target',
					 'type' 				=> 'dropdown',
					 'title' 				=> __( 'Target', 'aerious-core' ),
					 'options' 				=> $target,
					 'dependency'			=> array( 'element'=>'link', 'not_empty'=>'true' ),
				),
				$extra_class,
				array(
					'name'					=> 'title_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Title Color', 'aerious-core' ),
					'group'					=> __( 'Design options', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'title', 'not_empty'=>'true' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Title Size', 'aerious-core' ),
					'name'					=> 'title_size',
					'dependency'			=> array( 'element'=>'title', 'not_empty'=>'true' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'name'					=> 'icon_color'
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' ),
					'name'					=> 'icon_size'
				),
			),
			aerious_sc_animations_fields()
		);
		aerious_ElementFields( $fields );
	}
	
	/* Ordered List */
	if( $element_name == 'aerious_ordered_list' ){
		$fields = array_merge(
			array(
				array(
					'name'					=> 'style',
					'type'					=> 'dropdown',
					'title'					=> __( 'Style', 'aerious-core' ),
					'options' 				=> array(
												'number'		=> __( 'Number', 'aerious-core' ),
												'upper-alpha'	=> __( 'Alphabate - Upper', 'aerious-core' ),
												'lower-alpha'	=> __( 'Alphabate - Lower', 'aerious-core' ),
												'upper-roman'	=> __( 'Roman - Upper', 'aerious-core' ),
												'lower-roman'	=> __( 'Roman - Lower', 'aerious-core' )
											)
				),
				array(
					'name'					=> 'padding_left',
					'type'					=> 'textfield',
					'title'					=> __( 'Padding left (px)', 'aerious-core' ),
					'value'					=> ''
				),
				array(
					'name'					=> 'content_',
					'type'					=> 'textarea',
					'title'					=> __( 'Content', 'aerious-core' ),
					'value'					=> __( 'Lorem Ipsum\nLorem Ipsum\nLorem Ipsum', 'aerious-core' ),
					'description'			=> __( 'List items seperated by new line (by pressing enter button)', 'aerious-core' ),
				),
				$extra_class,
			),
			aerious_sc_animations_fields()
		);
		aerious_ElementFields( $fields );
	}
	
	/* List - UnOrdered */
	if ($element_name == 'aerious_unordered_list') {
	
		$fields = array_merge(
			array(
				array(
					'name'					=> 'style',
					'type'					=> 'dropdown',
					'title'					=> __( 'Style', 'aerious-core' ),
					'options' 				=> array(
												'circle'	=> __( 'Circle', 'aerious-core' ),
												'square'	=> __( 'Square', 'aerious-core' ),
												'line'		=> __( 'Line', 'aerious-core' ),
												'diamond'	=> __( 'Diamond', 'aerious-core' ),
											)
				),
				array(
					'name'					=> 'padding_left',
					'type'					=> 'textfield',
					'title'					=> __( 'Padding left (px)', 'aerious-core' ),
				),
				array(
					'name'					=> 'content_',
					'type'					=> 'textarea',
					'title'					=> __( 'Content', 'aerious-core' ),
					'value' 				=> 'Lorem Ipsum\nLorem Ipsum\nLorem Ipsum',
					'description' 			=> __( 'List items seperated by new line (by pressing enter button)', 'aerious-core' ),
					'rows'					=> '3'
				),
				
				$extra_class,
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Opening Hours */
	if ($element_name == 'aerious_opening_hours') {
	
		$fields = array_merge(
			array(
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Type', 'aerious-core' ),
					'name'					=> 'opening_hours_type',
					'options' 				=> array(
												'horizontal'	=> __( 'Horizontal', 'aerious-core' ),
												'vertical'		=> __( 'Vertical', 'aerious-core' ),
											),
				),
				array(
					'type' 					=> 'checkbox',
					'title' 				=> __( 'Full Width', 'aerious' ),
					'name' 					=> 'full_width',
					'options' 				=> array(
												1 => __( 'Yes', 'aerious' ),
											),
					'description' 			=> __( 'Check "Yes" to use full width area', 'aerious' )
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
					'name'					=> 'title',
					'description' 			=> __( 'Enter heading text', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
			),
			aerious_sc_icon_collection('', '', ''),
			array(
				array(
					'type'					=> 'textarea',
					'title'					=> __( 'Content', 'aerious-core' ),
					'name'					=> 'content_',
					'rows'					=> '3'
				),
				array(
					'type'					=> 'textarea',
					'title'					=> __( 'Opening Hours', 'aerious-core' ),
					'name'					=> 'content_hours',
					'rows'					=> '3'
				),
				array(
					'type'					=> 'textarea',
					'title'					=> __( 'Half Day', 'aerious-core' ),
					'name'					=> 'half_day',
					'rows'					=> '3'
				),
				array(
					'type'					=> 'textarea',
					'title'					=> __( 'Closed', 'aerious-core' ),
					'name'					=> 'office_closed',
					'rows'					=> '3'
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Background', 'aerious-core' ),
					'name'					=> 'background_color',
					'group'					=> __( 'Design Options', 'aerious-core' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Background Color', 'aerious-core' ),
					'name'					=> 'hover_bg_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Color', 'aerious-core' ),
					'name'					=> 'text_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Color', 'aerious-core' ),
					'name'					=> 'text_hover_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hours Color', 'aerious-core' ),
					'name'					=> 'hours_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Hours Color', 'aerious-core' ),
					'name'					=> 'hours_hover_color',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hours Background', 'aerious-core' ),
					'name'					=> 'hours_background',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Hours Background', 'aerious-core' ),
					'name'					=> 'hours_hover_background',
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' ),
					'name'					=> 'icon_size',
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'name'					=> 'icon_color',
					'description'			=> __( 'Choose color for icon', 'aerious-core' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Icon Color', 'aerious-core' ),
					'name'					=> 'hover_icon_color',
				),


				$extra_class,
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Portfolio */
	if ($element_name == 'aerious_portfolio') {
	
		$fields = array_merge(
			array(
				array(
					'name'					=> 'columns',
					'type'					=> 'dropdown',
					'title'					=> __( 'Number of Columns', 'aerious-core' ),
					'options' 				=> array(
												'1'		=> __( '1', 'aerious-core' ),
												'2'		=> __( '2', 'aerious-core' ),
												'3'		=> __( '3', 'aerious-core' ),
												'4'		=> __( '4', 'aerious-core' ),
												'5'		=> __( '5', 'aerious-core' ),
												'6'		=> __( '6', 'aerious-core' ),
											),
					'std' 					=> '3',
					'dependency_trigger'	=> 'true',
					'description' 			=> __( 'Number of items showing in a row', 'aerious-core' ),
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Number of Portfolios', 'aerious-core' ),
					'name'					=> 'number_of_posts',
					'description' 			=> __( 'Enter number. Leave empty to show all', 'aerious-core' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Title Tag', 'aerious-core' ),
					'name'					=> 'tag',
					'options' 				=> array(
												'h1'		=> 'h1',
												'h2'		=> 'h2',
												'h3'		=> 'h3',
												'h4'		=> 'h4',
												'h5'		=> 'h5',
												'h6'		=> 'h6',
											),
					'std' 					=> 'h5',
					'description' 			=> __( 'Choose heading tag for portfolio title', 'aerious-core' ),
				),
				array(
					'name'					=> 'category',
					'type'					=> 'checkbox',
					'title'					=> __( 'Category', 'aerious-core' ),
					'options' 				=> aerious_sc_get_terms( 'portfolio-category' ),
					'description' 			=> __( 'Uncheck all for all categories', 'aerious-core' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Excerpt', 'aerious-core' ),
					'name'					=> 'show_excerpt',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Excerpt Limit', 'aerious-core' ),
					'name'					=> 'excerpt_limit',
					'description' 			=> __( 'Enter number of characters. Default is 140', 'aerious-core' ),
					'dependency' 			=> array( 'element' => 'show_excerpt', 'value' => 'yes' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show View Project button', 'aerious-core' ),
					'name'					=> 'show_readmore_btn',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'View Project button text', 'aerious-core' ),
					'name'					=> 'readmore_text',
					'value'					=> __( 'View Project', 'aerious-core' ),
					'description' 			=> __( 'Enter text for read more button. Default is Read More', 'aerious-core' ),
					'dependency' 			=> array( 'element' => 'show_readmore_btn', 'value' => 'yes' )
				),
				array(
					'type' 					=> 'dropdown',
					'title' 				=> __( 'Show Portfolio Subtitle', 'aerious-core' ),
					'name' 					=> 'show_subtitle',
						'options' 			=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
				),
				
				array(
					'type' 					=> 'dropdown',
					'title' 				=> __( 'Show Portfolio Categories', 'aerious-core' ),
					'name' 					=> 'show_category',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Sorting Order', 'aerious-core' ),
					'name'					=> 'order_by',
					'options' 				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'id'			=> __( 'ID', 'aerious-core' ),
												'title'			=> __( 'Title', 'aerious-core' ),
												'name'			=> __( 'Name/Slug', 'aerious-core' ),
												'date'			=> __( 'Date', 'aerious-core' ),
												'menu_order'	=> __( 'Menu Order', 'aerious-core' ),
												'rand'			=> __( 'Random', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Order', 'aerious-core' ),
					'name'					=> 'order',
					'options' 				=> array(
												'ASC'	=> __( 'Ascending', 'aerious-core' ),
												'DESC'	=> __( 'Descending', 'aerious-core' ),
											),
					'std' 					=> 'DESC',
				),
				
				$extra_class,
			),
			aerious_sc_carousel_settings( __( 'Carousel Settings', 'aerious-core' ) )
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Portfolio List */
	if ($element_name == 'aerious_portfolio_list') {
	
		$fields = array(
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Layout', 'aerious-core' ),
				'name'					=> 'layout',
				'options' 				=> array(
											'standard'	=> __( 'Standard', 'aerious-core' ),
											'mansonry'	=> __( 'Grid', 'aerious-core' ),
											'split'		=> __( 'Split', 'aerious-core' ),
										),
				'description' 			=> __( 'Choose Portfolio Layout', 'aerious-core' ),
				'dependency_trigger'	=> 'true'
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Number of Columns', 'aerious-core' ),
				'name'					=> 'columns',
				'options' 				=> array(
											'2'		=> __( '2', 'aerious-core' ),
											'3'		=> __( '3', 'aerious-core' ),
											'4'		=> __( '4', 'aerious-core' ),
											'5'		=> __( '5', 'aerious-core' ),
											'6'		=> __( '6', 'aerious-core' ),
										),
				'description' 			=> __( 'Choose Number of Columns', 'aerious-core' ),
				'dependency' 			=> array( 'element'=>'layout', 'value'=>'mansonry' ),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Pagination Type', 'aerious-core' ),
				'name'					=> 'pagination_option',
				'options' 				=> array(
											'pagination'	=> __( 'Pagination', 'aerious-core' ),
											'loadmore'		=> __( 'Load More', 'aerious-core' ),
											'scroll'		=> __( 'Infinite Scroll', 'aerious-core' ),
											'hide'			=> __( 'Hide', 'aerious-core' ),
										),
				'std' 					=> 'loadmore',
				'description' 			=> __( 'Choose Pagination Type', 'aerious-core' ),
				'dependency_trigger'	=> 'true'
			),
			array(
				'type'					=> 'textfield',
				'title'					=> __( 'Load More button text', 'aerious-core' ),
				'name'					=> 'loadmore_text',
				'description' 			=> __( 'Enter text for load more button, leave empty to use default text', 'aerious-core' ),
				'dependency' 			=> array( 'element'=>'pagination_option', 'value'=>'loadmore' ),
			),
			array(
				'type'					=> 'number',
				'title'					=> __( 'Number of Portfolios Per Page', 'aerious-core' ),
				'name'					=> 'per_page',
				'description' 			=> __( 'Leave empty to show all', 'aerious-core' ),
				'dependency' 			=> array( 'element'=>'pagination_option', 'not_depend_on'=>'scroll' ),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Title Tag', 'aerious-core' ),
				'name'					=> 'title_tag',
				'options' 				=> array(
											'h2'	=> 'H2',
											'h3'	=> 'H3',
											'h4'	=> 'H4',
											'h5'	=> 'H5',
											'h6'	=> 'H6',
										),
				'std' 					=> 'h6',
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Enable Category Filtration', 'aerious-core' ),
				'name'					=> 'enable_category_filtration',
				'options' 				=> array(
											'yes'	=> __( 'Yes', 'aerious-core' ),
											'no'	=> __( 'No', 'aerious-core' ),
										),
				'description' 			=> __( 'Select to display filtration menu', 'aerious-core' ),
			),
			array(
				'type'					=> 'checkbox',
				'title'					=> __( 'Category', 'aerious-core' ),
				'name'					=> 'category',
				'options' 				=> aerious_sc_get_terms( 'portfolio-category' ),
				'description' 			=> __( 'Uncheck all for all categories', 'aerious-core' ),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Portfolio Content', 'aerious-core' ),
				'name'					=> 'portfolio_content',
				'options' 				=> array(
											'excerpt'	=> __( 'Excerpt', 'aerious-core' ),
											'content'	=> __( 'Content', 'aerious-core' ),
											'hide'		=> __( 'Hide', 'aerious-core' ),
										),
				'description' 			=> __( 'Choose Portfolio Content Option', 'aerious-core' ),
				'dependency_trigger'	=> 'true'
			),
			array(
				'type'					=> 'textfield',
				'title'					=> __( 'Excerpt Limt', 'aerious-core' ),
				'name'					=> 'excerpt_limit',
				'description' 			=> __( 'Enter Excerpt Limit', 'aerious-core' ),
				'dependency' 			=> array( 'element'=>'portfolio_content', 'value'=>'excerpt' ),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Show Categories', 'aerious-core' ),
				'name'					=> 'show_category',
				'options' 				=> array(
											'yes'	=> __( 'Yes', 'aerious-core' ),
											'no'	=> __( 'No', 'aerious-core' ),
										),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Show View Project Button', 'aerious-core' ),
				'name'					=> 'show_readmore',
				'options' 				=> array(
											'yes'	=> __( 'Yes', 'aerious-core' ),
											'no'	=> __( 'No', 'aerious-core' ),
										),
				'dependency_trigger'	=> 'true'
			),
			array(
				'type' 					=> 'textfield',
				'title' 				=> __( 'View Project button text', 'aerious-core' ),
				'name' 					=> 'readmore_text',
				'value'					=> 'View Project',
				'dependency' 			=> array( 'element' => 'show_readmore', 'value' => 'yes' ),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Show Like', 'aerious-core' ),
				'name'					=> 'show_like',
				'options' 				=> array(
											'yes'	=> __( 'Yes', 'aerious-core' ),
											'no'	=> __( 'No', 'aerious-core' ),
										),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Show Comment Count', 'aerious-core' ),
				'name'					=> 'show_comment',
				'options' 				=> array(
											'yes'	=> __( 'Yes', 'aerious-core' ),
											'no'	=> __( 'No', 'aerious-core' ),
										),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Show Social Sharing Links', 'aerious-core' ),
				'name'					=> 'show_ss',
				'options' 				=> array(
											'yes'	=> __( 'Yes', 'aerious-core' ),
											'no'	=> __( 'No', 'aerious-core' ),
										),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Sorting Order', 'aerious-core' ),
				'name'					=> 'sorting_order',
				'options' 				=> array(
											''				=> __( 'Default', 'aerious-core' ),
											'id'			=> __( 'ID', 'aerious-core' ),
											'title'			=> __( 'Name', 'aerious-core' ),
											'date'			=> __( 'Date', 'aerious-core' ),
											'menu_order'	=> __( 'Menu Order', 'aerious-core' ),
											'rand'			=> __( 'Random', 'aerious-core' ),
											'name'			=> __( 'Slug', 'aerious-core' ),
										),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Select Order', 'aerious-core' ),
				'name'					=> 'order',
				'options' 				=> array(
											'ASC'	=> __( 'Ascending', 'aerious-core' ),
											'DESC'	=> __( 'Descending', 'aerious-core' ),
										),
				'std' 					=> 'DESC',
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Image Size', 'aerious-core' ),
				'name'					=> 'image_size',
				'options' 				=> array(
											'original'	=> __( 'Default', 'aerious-core' ),
											'landscape'	=> __( 'Landscape', 'aerious-core' ),
											'portrait'	=> __( 'Portrait', 'aerious-core' ),
											'square'	=> __( 'Square', 'aerious-core' ),
											'custom'	=> __( 'Custom', 'aerious-core' ),
										),
				'dependency_trigger'	=> 'true'
			),
			array(
				'type'					=> 'textfield',
				'title'					=> __( 'Custom Dimensions', 'aerious-core' ),
				'name'					=> 'custom_dimensions',
				'description' 			=> __( 'Enter custom image dimensions. Enter image size in pixels: 200x100 (Width x Height)', 'aerious-core' ),
				'dependency' 			=> array( 'element'=>'image_size', 'value'=>'custom' )
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Image onClick', 'aerious-core' ),
				'name'					=> 'image_options',
				'options' 				=> array(
											'default'		=> __( 'None', 'aerious-core' ),
											'portfoliolink'	=> __( 'Portfolio Link', 'aerious-core' ),
											'lightbox'		=> __( 'Image in Popup', 'aerious-core' ),
										),
			),
			$extra_class,
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Portfolio Hover */
	if ($element_name == 'aerious_portfolio_style3') {
	
		$fields = array(
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Number of Columns', 'aerious-core' ),
				'name'					=> 'columns',
				'options' 				=> array(
											'2'	=> __( '2', 'aerious-core' ),
											'3'	=> __( '3', 'aerious-core' ),
											'4'	=> __( '4', 'aerious-core' ),
											'5'	=> __( '5', 'aerious-core' ),
											'6'	=> __( '6', 'aerious-core' ),
										),
				'description' 			=> __( 'Choose number of columns', 'aerious-core' ),
				'std'	=> '2'
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Pagination Type', 'aerious-core' ),
				'name'					=> 'pagination_option',
				'options' 				=> array(
											'pagination'	=> __( 'Pagination', 'aerious-core' ),
											'loadmore'		=> __( 'Load More', 'aerious-core' ),
											'scroll'		=> __( 'Infinite Scroll', 'aerious-core' ),
											'link'   		=> __( 'External Link', 'aerious-core' ),
           									'hide'   		=> __( 'Hide', 'aerious-core' ),
										),
				'std' 					=> 'loadmore',
				'description' 			=> __( 'Choose Pagination Type', 'aerious-core' ),
				'dependency_trigger'	=> 'true'
			),
			array(
				'type' 					=> 'textfield',
				'title' 				=> __( 'Load More button text', 'aerious-core' ),
				'name' 					=> 'loadmore_text',
				'dependency'	 		=> array( 'element' => 'pagination_option', 'value' => 'loadmore' ),
				'description' 			=> __( 'Enter text for load more button, leave empty to use default text', 'aerious-core' ),
			),
			array(
				'type' 					=> 'textfield',
				'title' 				=> __( 'Load More button text', 'aerious-core' ),
				'name' 					=> 'loadmore_text',
				'dependency'	 		=> array( 'element' => 'pagination_option', 'value' => 'link' ),
				'description' 			=> __( 'Enter text for load more button, leave empty to use default text', 'aerious-core' ),
			),
			array(
				'type'      			=> 'textfield',
				'title'     			=> __( 'External Link', 'aerious-core' ),
				'name'      			=> 'external_link',
				'dependency'    		=> array( 'element' => 'pagination_option', 'value' => 'link' ),
				'description'    		=> __( 'Enter link', 'aerious-core' ),
		   ),
			array(
				'type'					=> 'number',
				'title'					=> __( 'Number of Portfolios Per Page', 'aerious-core' ),
				'name'					=> 'per_page',
				'description' 			=> __( 'Leave empty to show all', 'aerious-core' ),
				'dependency' 			=> array( 'element'=>'pagination_option', 'not_depend_on'=>'scroll' ),
			),
			array(
				'type'     				=> 'dropdown',
				'title'     			=> __( 'Overlay Text Position', 'aerious-core' ),
				'name'     				=> 'overlay_text',
				'options'     			=> array(
											''   		=> __( 'Default', 'aerious-core' ),
										   	'top'  		=> __( 'Top', 'aerious-core' ),
										   	'bottom'	=> __( 'Bottom', 'aerious-core' ),
				),
				'description'    		=> __( 'Select text position on hover', 'aerious-core' ),
		   ),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Enable Category Filtration', 'aerious-core' ),
				'name'					=> 'enable_category_filtration',
				'options' 				=> array(
											'yes'	=> __( 'Yes', 'aerious-core' ),
											'no'	=> __( 'No', 'aerious-core' ),
										),
				'description' 			=> __( 'Select to display filtration menu', 'aerious-core' ),
			),
			array(
				'type'					=> 'checkbox',
				'title'					=> __( 'Category', 'aerious-core' ),
				'name'					=> 'category',
				'options' 				=> aerious_sc_get_terms( 'portfolio-category' ),
				'description' 			=> __( 'Uncheck all for all categories', 'aerious-core' ),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Sorting Order', 'aerious-core' ),
				'name'					=> 'sorting_order',
				'options' 				=> array(
											''				=> __( 'Default', 'aerious-core' ),
											'id'			=> __( 'ID', 'aerious-core' ),
											'title'					=> __( 'Name', 'aerious-core' ),
											'date'			=> __( 'Date', 'aerious-core' ),
											'menu_order'	=> __( 'Menu Order', 'aerious-core' ),
											'rand'			=> __( 'Random', 'aerious-core' ),
											'name'					=> __( 'Slug', 'aerious-core' ),
										),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Select Order', 'aerious-core' ),
				'name'					=> 'order',
				'options' 				=> array(
											'ASC'	=> __( 'Ascending', 'aerious-core' ),
											'DESC'	=> __( 'Descending', 'aerious-core' ),
										),
				'std' 					=> 'DESC',
			),
			array(
				'type' 					=> 'checkbox',
				'title' 				=> __( 'Remove space', 'aerious' ),
				'name' 					=> 'remove_spacing',
				'options' 				=> array(
											1 => __( 'Yes', 'aerious' ),
										),
				'description' 			=> __( 'Remove spacing between portfolio items', 'aerious' )
			),
			$extra_class,
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Pie Chart 2 */
	if ($element_name == 'aerious_pie_chart_icon_percent') {
	
		$fields = array_merge(
			array(
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Type', 'aerious-core' ),
					'name'					=> 'pie_chart_type',
					'options' 				=> array(
												'percentage'	=> __( 'Percentage', 'aerious-core' ),
												'icon'			=> __( 'Icon', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose text align for subtitle', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
					'name'					=> 'title',
					'description' 			=> __( 'Enter heading text', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Title Tag', 'aerious-core' ),
					'name'					=> 'title_tag',
					'options' 				=> array(
												'h5'	=> __( 'Default', 'aerious-core' ),
												'h2'	=> 'h2',
												'h3'	=> 'h3',
												'h4'	=> 'h4',
												'h5'	=> 'h5',
												'h6'	=> 'h6',
											),
					'dependency'			=> array( 'element' => 'title', 'not_empty' => 'true' )
				),
				array(
					'type'					=> 'textarea',
					'title'					=> __( 'Content', 'aerious-core' ),
					'name'					=> 'content_',
					'rows'					=> '3'
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Percentage', 'aerious-core' ),
					'name'					=> 'percentage',
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'checkbox',
					'title'					=> __( 'Inner Circle', 'aerious-core' ),
					'name'					=> 'show_circle',
					'options' 				=> array(
												'1'	=>	__( 'Yes', 'aerious-core' ),
											),
					'description' 			=> __( 'Display inner circle', 'aerious-core' ),
				),
				array(
					'type'					=> 'checkbox',
					'title'					=> __( 'Outer Circle', 'aerious-core' ),
					'name'					=> 'show_border',
					'options' 				=> array(
												'1'	=> __( 'Yes', 'aerious-core' ),
											),
					'description' 			=> __( 'Display outer circle', 'aerious-core' ),
				),
			),
			aerious_sc_icon_collection( '', '', array('pie_chart_type', 'icon') ),
			array(
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'name'					=> 'icon_color',
					'dependency'			=> array( 'element'=>'pie_chart_type', 'value'=>'icon' )
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' ),
					'name'					=> 'icon_size',
					'dependency'			=> array( 'element'=>'pie_chart_type', 'value'=>'icon' )
				),
				$extra_class,
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Bar Color', 'aerious-core' ),
					'name'					=> 'active_bar_color',
					'description' 			=> __( 'Choose color for active bar', 'aerious-core' ),
					'group'					=> __( 'Design Options', 'aerious-core' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Inactive Bar Color', 'aerious-core' ),
					'name'					=> 'inactive_bar_color',
					'description' 			=> __( 'Choose color for Inactive bar', 'aerious-core' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Inner Circle Color', 'aerious-core' ),
					'name'					=> 'inner_circle_color',
					'description' 			=> __( 'Choose color for inner circle', 'aerious-core' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Outer Circle Color', 'aerious-core' ),
					'name'					=> 'outer_circle_color',
					'description' 			=> __( 'Choose color for outer circle', 'aerious-core' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Title Color', 'aerious-core' ),
					'name'					=> 'title_color',
					'description' 			=> __( 'Choose title color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'title', 'not_empty'=>true )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Percentage Color', 'aerious-core' ),
					'name'					=> 'percentage_color',
					'description' 			=> __( 'Choose percentage color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'percentage', 'not_empty'=>true )
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Section Content */
	if ($element_name == 'aerious_content') {
	
		$fields = array(
			array(
				'type'					=> 'textfield',
				'title'					=> __( 'Width(%)', 'aerious-core' ),
				'name'					=> 'width',
				'description' 			=> __( 'Adjust the width of section subtitle in percentages. Ommit the unit', 'aerious-core' ),
			),
			array(
				'type'					=> 'dropdown',
				'title'					=> __( 'Text Align', 'aerious-core' ),
				'name'					=> 'align',
				'options' 				=> array(
											''			=> __( 'Theme Default', 'aerious-core' ),
											'left'		=> __( 'Left', 'aerious-core' ),
											'center'	=> __( 'Center', 'aerious-core' ),
											'right'		=> __( 'Right', 'aerious-core' ),
											'justify'	=> __( 'Justify', 'aerious-core' ),
										),
			),
			array(
				'type'					=> 'colorpicker',
				'title'					=> __( 'Text Color', 'aerious-core' ),
				'name'					=> 'color',
			),
			array(
				'type'					=> 'textfield',
				'title'					=> __( 'Text line height', 'aerious-core' ),
				'name'					=> 'line_height',
			),
			array(
				'type'					=> 'textarea',
				'title'					=> __( 'Content', 'aerious-core' ),
				'name'					=> 'content_',
				'rows'					=> '3',
				'dependency_trigger'	=> 'true'
			),
			array(
				'type' 					=> 'number',
				'title' 				=> __( 'Content Font Size', 'aerious-core' ),
				'name' 					=> 'font_size',
				'dependency'			=> array( 'element' => 'content_', 'not_empty' => true )
			),
			$extra_class,
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Testimonials */
	if ($element_name == 'aerious_testimonial') {
	
		$fields = array_merge(
			array(
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Testimonial Type', 'aerious-core' ),
					'name'					=> 'type',
					'options' 				=> array(
												'slider'	=> __( 'Slider', 'aerious-core' ),
												'grid'		=> __( 'Grid', 'aerious-core' ),
											),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Number of Columns', 'aerious-core' ),
					'name'					=> 'columns',
					'options' 				=> array(
												'1'		=> __( '1', 'aerious-core' ),
												'2'		=> __( '2', 'aerious-core' ),
												'3'		=> __( '3', 'aerious-core' ),
												'4'		=> __( '4', 'aerious-core' ),
											),
					'std' 					=> '3',
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'category',
					'type'					=> 'checkbox',
					'title'					=> __( 'Category', 'aerious-core' ),
					'options' 				=> aerious_sc_get_terms( 'testimonials_category' ),
					'description' 			=> __( 'Uncheck all for all categories', 'aerious-core' ),
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Number of Testimonials', 'aerious-core' ),
					'name'					=> 'number',
					'description' 			=> __( 'Leave empty for all', 'aerious-core' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Sorting Order', 'aerious-core' ),
					'name'					=> 'order_by',
					'options' 				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'id'			=> __( 'ID', 'aerious-core' ),
												'title'					=> __( 'Title', 'aerious-core' ),
												'name'					=> __( 'Name/Slug', 'aerious-core' ),
												'date'			=> __( 'Date', 'aerious-core' ),
												'menu_order'	=> __( 'Menu Order', 'aerious-core' ),
												'rand'			=> __( 'Random', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Order', 'aerious-core' ),
					'name'					=> 'order',
					'options' 				=> array(
												'ASC'	=> __( 'Ascending', 'aerious-core' ),
												'DESC'	=> __( 'Descending', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Author', 'aerious-core' ),
					'name'					=> 'show_author',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Author Image', 'aerious-core' ),
					'name'					=> 'show_author_image',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Author Image Position', 'aerious-core' ),
					'name'					=> 'author_image_position',
					'options' 				=> array(
												'left'	=> __( 'Left', 'aerious-core' ),
												'top'	=> __( 'Top', 'aerious-core' ),
											),
					'dependency' 			=> array( 'element' => 'show_author_image', 'value' => 'yes' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Author Image Size', 'aerious-core' ),
					'name'					=> 'author_image_size',
					'options' 				=> array(
												'thumb_45'	=> __( 'Theme Default', 'aerious-core' ),
												'full'		=> __( 'Image', 'aerious-core' ),
												'custom'	=> __( 'Custom', 'aerious-core' ),
											),
					'dependency' 			=> array( 'element' => 'show_author_image', 'value' => 'yes' )
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Width', 'aerious-core' ),
					'name'					=> 'author_image_width',
					'dependency' 			=> array( 'element' => 'show_author_image', 'value' => 'yes' )
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Height', 'aerious-core' ),
					'name'					=> 'author_image_height',
					'dependency' 			=> array( 'element' => 'show_author_image', 'value' => 'yes' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Show Author Job Position', 'aerious-core' ),
					'name'					=> 'show_job_position',
					'options' 				=> array(
												'yes'	=> __( 'Yes', 'aerious-core' ),
												'no'	=> __( 'No', 'aerious-core' ),
											),
				),
				$extra_class,
				array(
					'type' 					=> 'colorpicker',
					'title' 				=> __( 'Author Text Color', 'aerious-core' ),
					'name' 					=> 'author_text_color',
					'group'					=> __( 'Design Options', 'aerious-core' )
				),
				array(
					'type' 					=> 'colorpicker',
					'title' 				=> __( 'Title Color', 'aerious-core' ),
					'name' 					=> 'title_color'
				),
				array(
					'type' 					=> 'number',
					'title' 				=> __( 'Title Font Size', 'aerious-core' ),
					'name' 					=> 'title_font_size',
				),
				array(
					'type' 					=> 'colorpicker',
					'title' 				=> __( 'Content Color', 'aerious-core' ),
					'name' 					=> 'content_color'
				),
				array(
					'type' 					=> 'number',
					'title' 				=> __( 'Content Font Size', 'aerious-core' ),
					'name' 					=> 'font_size',
				),
				array(
					'type' 					=> 'textfield',
					'title' 				=> __( 'Content line height', 'aerious-core' ),
					'name' 					=> 'line_height',
				),
			),
			aerious_sc_carousel_settings( __( 'Carousel Settings', 'aerious-core' ), array( 'type', 'slider' ) ),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Title & Subtitle */
	if ($element_name == 'aerious_title_subtitle') {
	
		$fields = array_merge(
			array(
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
					'name'					=> 'title',
					'description' 			=> __( 'Enter title text', 'aerious-core' ),
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Subtitle', 'aerious-core' ),
					'name'					=> 'subtitle',
					'description' 			=> __( 'Enter subtitle text', 'aerious-core' ),
					'dependency_trigger'	=> 'true',
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Stroke Position', 'aerious-core' ),
					'name'					=> 'border_position',
					'options' 				=> array(
												'top'		=> __( 'Top', 'aerious-core' ),
												'bottom'	=> __( 'Bottom', 'aerious-core' ),
											),
					'dependency_trigger'	=> 'true',
					'description'			=> __( 'Choose stroke position in order to title', 'aerious-core' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Stroke Style', 'aerious-core' ),
					'name'					=> 'border_style',
					'options' 				=> array(
												''				=> __( 'No Stroke', 'aerious-core' ),
												'default'		=> __( 'Theme Default', 'aerious-core' ),
												'blue'			=> __( 'Blue', 'aerious-core' ),
												'red'			=> __( 'Red', 'aerious-core' ),
												'earth blue'	=> __( 'Earth Blue', 'aerious-core' ),
												'orange'		=> __( 'Orange', 'aerious-core' ),
												'cadet blue'	=> __( 'Cadet Blue', 'aerious-core' ),
												'brown'			=> __( 'Brown', 'aerious-core' ),
												'Violet'		=> __( 'Violet', 'aerious-core' ),
												'salmon'		=> __( 'Salmon', 'aerious-core' ),
												'yellow green'	=> __( 'Yellow Green', 'aerious-core' ),
												'black'			=> __( 'Black', 'aerious-core' ),
												'custom'		=> __( 'Custom', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose stroke style', 'aerious-core' ),
					'dependency' 			=> array('element' => 'border_position', 'not_empty' => true )
				),
				array(
					'name'					=> 'custom_stroke',
					'id'					=> 'title-subtitle-img',
					'type'					=> 'image-uploader',
					'title'					=> __( 'Custom stroke', 'aerious-core' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Subtitle placement', 'aerious-core' ),
					'name'					=> 'subtitle_placement',
					'options' 				=> array(
												'top'		=> __( 'Top', 'aerious-core' ),
												'bottom'	=> __( 'Bottom', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose subtitle placement in order to title', 'aerious-core' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Space between title and subtitle', 'aerious-core' ),
					'name'					=> 'space_bw_title_subtitle',
					'description' 			=> __( 'Enter number to create gap/space b/w title and subtitle OR leave empty as default', 'aerious-core' ),
					'dependency'			=> array('element' => 'subtitle', 'not_empty' => true ),
				),
				$extra_class,
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Color', 'aerious-core' ),
					'name'					=> 'color',
					'options' 				=> array(
												''			=> __( 'Theme Default', 'aerious-core' ),
												'default'	=> __( 'Theme Color', 'aerious-core' ),
												'custom'	=> __( 'Custom', 'aerious-core' ),
											),
					'dependency_trigger'	=> 'true',
					'group' 				=> __( 'Title', 'aerious-core' )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Custom Color', 'aerious-core' ),
					'name'					=> 'custom_color',
					'dependency'		 	=> array( 'element' => 'color', 'value' => 'custom' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Type', 'aerious-core' ),
					'name'					=> 'tag',
					'options' 				=> array(
												'div'	=> __( 'Theme Default', 'aerious-core' ),
												'h1'	=> 'H1',
												'h2'	=> 'H2',
												'h3'	=> 'H3',
												'h4'	=> 'H4',
												'h5'	=> 'H5',
												'h6'	=> 'H6',
											),
					'description' 			=> __( 'Choose heading tag for title', 'aerious-core' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Text Size', 'aerious-core' ),
					'name'					=> 'font_size',
					'description' 			=> __( 'Enter title size', 'aerious-core' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Text Transform', 'aerious-core' ),
					'name'					=> 'text_transform',
					'options' 				=> array(
												''				=> __( 'Uppercase/Default', 'aerious-core' ),
												'none'			=> __( 'None', 'aerious-core' ),
												'capitalize'	=> __( 'Capitalize', 'aerious-core' ),
												'lowercase'		=> __( 'Lowercase', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose transform for title', 'aerious-core' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Text Align', 'aerious-core' ),
					'name'					=> 'text_align',
					'options' 				=> array(
												'left'		=> __( 'Left', 'aerious-core' ),
												'center'	=> __( 'Center', 'aerious-core' ),
												'right'		=> __( 'Right', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose text align for title', 'aerious-core' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Letter Spacing', 'aerious-core' ),
					'name'					=> 'letter_spacing',
					'description' 			=> __( 'Enter the number for title letter spacing (decimal numbers are also allowed)', 'aerious-core' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Color', 'aerious-core' ),
					'name'					=> 'subtitle_color',
					'options' 				=> array(
												''			=> __( 'Theme Default', 'aerious-core' ),
												'default'	=> __( 'Theme Color', 'aerious-core' ),
												'custom'	=> __( 'Custom', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose text align for title', 'aerious-core' ),
					'group' 				=> __( 'Subtitle', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Subtitle Color', 'aerious-core' ),
					'name'					=> 'subtitle_custom_color',
					'description' 			=> __( 'Choose color of your subtitle', 'aerious-core' ),
					'dependency' 			=> array( 'element' => 'subtitle_color', 'value' => 'custom' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Type', 'aerious-core' ),
					'name'					=> 'subtitle_tag',
					'options' 				=> array(
												''		=> __( 'Theme Default', 'aerious-core' ),
												'h1'	=> 'H1',
												'h2'	=> 'H2',
												'h3'	=> 'H3',
												'h4'	=> 'H4',
												'h5'	=> 'H5',
												'h6'	=> 'H6',
											),
					'description' 			=> __( 'Choose heading tag for subtitle', 'aerious-core' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Text Size', 'aerious-core' ),
					'name'					=> 'subtitle_font_size',
					'description' 			=> __( 'Enter subtitle size', 'aerious-core' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Text Transform', 'aerious-core' ),
					'name'					=> 'subtitle_text_transform',
					'options' 				=> array(
												''				=> __( 'Uppercase/Default', 'aerious-core' ),
												'none'			=> __( 'None', 'aerious-core' ),
												'capitalize'	=> __( 'Capitalize', 'aerious-core' ),
												'lowercase'		=> __( 'Lowercase', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose transform for subtitle', 'aerious-core' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Text Align', 'aerious-core' ),
					'name'					=> 'subtitle_text_align',
					'options' 				=> array(
												'left'		=> __( 'Left', 'aerious-core' ),
												'center'	=> __( 'Center', 'aerious-core' ),
												'right'		=> __( 'Right', 'aerious-core' ),
											),
					'description' 			=> __( 'Choose text align for subtitle', 'aerious-core' ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Letter Spacing', 'aerious-core' ),
					'name'					=> 'subtitle_letter_spacing',
					'description' 			=> __( 'Enter the number for subtitle letter spacing (decimal numbers are also allowed)', 'aerious-core' ),
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Trailer Box */
	if ($element_name == 'aerious_teaser_box') {
	
		$fields = array_merge(
			array(
				array(
					'name'					=> 'title',
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'title_tag',
					'type'					=> 'dropdown',
					'title'					=> __( 'Title Tag', 'aerious-core' ),
					'options' 				=> array(
												'h3'			=> __( 'Default', 'aerious-core' ),
												'h2'		=> 'h2',
												'h3'		=> 'h3',
												'h4'		=> 'h4',
												'h5'		=> 'h5',
												'h6'		=> 'h6'
											),
					'dependency'			=> array( 'element'=>'title', 'not_empty'=>'true' )
				),
				array(
					'name'					=> 'bg_image',
					'id'					=> 'trailer-box-img',
					'type'					=> 'image-uploader',
					'title'					=> __( 'Background Image', 'aerious-core' ),
					'description'			=> __( 'Select background image from media library', 'aerious-core' )
				),
				array(
					'name'					=> 'text',
					'type'					=> 'textfield',
					'title'					=> __( 'Text', 'aerious-core' ),
					'group'					=> __( 'Button', 'aerious-core' )
				),
				array(
					'name'					=> 'link',
					'type'					=> 'textfield',
					'title'					=> __( 'Link', 'aerious-core' )
				),
				array(
					 'name' 				=> 'target',
					 'type' 				=> 'dropdown',
					 'title' 				=> __( 'Target', 'aerious-core' ),
					 'options' 				=> $target
				),
				array(
					 'name' 				=> 'button_style',
					 'type' 				=> 'dropdown',
					 'title' 				=> __( 'Button Style', 'aerious-core' ),
					 'options'  			=> $button_styles
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Size', 'aerious-core' ),
					'name'					=> 'size',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'aerious-btn-xs'	=> __( 'Mini', 'aerious-core' ),
												'aerious-btn-sm'	=> __( 'Small', 'aerious-core' ),
												'aerious-btn-md'	=> __( 'Medium', 'aerious-core' ),
												'aerious-btn-lg'	=> __( 'Large', 'aerious-core' ),
												'aerious-btn-xlg'	=> __( 'Extra Large', 'aerious-core' ),
											)
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Shape', 'aerious-core' ),
					'name'					=> 'shape',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'square'		=> __( 'Square', 'aerious-core' ),
												'round'			=> __( 'Round', 'aerious-core' ),
												'round_right'	=> __( 'Round from right', 'aerious-core' ),
												'round_left'	=> __( 'Round from left', 'aerious-core' ),
											)
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Full Width', 'aerious-core' ),
					'name'					=> 'full_width',
					'options'				=> array(
												''				=> __( 'No', 'aerious-core' ),
												'aerious-btn-block'	=> __( 'Yes', 'aerious-core' ),
											)
				),
			),
			aerious_sc_icon_collection('', '', ''),
			array(
				array(
					'name'					=> 'custom_icon',
					'id'					=> 'ab-custom-icon',
					'type'					=> 'image-uploader',
					'title'					=> __( 'Custom Icon', 'aerious-core' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Icon Position', 'aerious-core' ),
					'name'					=> 'icon_position',
					'options'				=> array(
												'left'	=> __( 'Left', 'aerious-core' ),
												'right'	=> __( 'Right', 'aerious-core' ),
											)
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Space between icon and text', 'aerious-core' ),
					'name'					=> 'space_bw_icon_text'
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Custom CSS Class', 'aerious-core' ),
					'name'					=> 'btn_el_class',
					'description'			=> __( 'To style this button differently, use this field to add a class name and then refer to it in your css file.', 'aerious-core' )
				),
				array(
					'type'					=> 'colorpicker',
					'group'					=> __( 'Design Options', 'aerious-core' ),
					'title'					=> __( 'Title', 'aerious-core' ),
					'name'					=> 'title_color',
					'dependency'			=> array( 'element' => 'title', 'not_empty' => true ),
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Title Size', 'aerious-core' ),
					'name'					=> 'title_size',
					'dependency'			=> array( 'element' => 'title', 'not_empty' => true )
				),
				array(
					'name'					=> 'color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Button Text', 'aerious-core' )
				),
				array(
					'name'					=> 'hover_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Button Text Hover Color', 'aerious-core' )
				),
				array(
					'name'					=> 'bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Button Background', 'aerious-core' )
				),
				array(
					'name'					=> 'hover_bg_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Button Hover Background Color', 'aerious-core' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Border Style', 'aerious-core' ),
					'name'					=> 'border_style',
					'options'				=> array(
												'none'		=> __( 'None', 'aerious-core' ),
												'solid'		=> __( 'Solid', 'aerious-core' ),
												'dotted'	=> __( 'Dotted', 'aerious-core' ),
												'dashed'	=> __( 'Dashed', 'aerious-core' ),
												'double'	=> __( 'Double', 'aerious-core' ),
												'groove'	=> __( 'Groove', 'aerious-core' ),
												'ridge'		=> __( 'Ridge', 'aerious-core' ),
												'inset'		=> __( 'Inset', 'aerious-core' ),
												'outset'	=> __( 'Outset', 'aerious-core' ),
											)
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Hover Border Style', 'aerious-core' ),
					'name'					=> 'hover_border_style',
					'options'				=> array(
												'none'		=> __( 'None', 'aerious-core' ),
												'solid'		=> __( 'Solid', 'aerious-core' ),
												'dotted'	=> __( 'Dotted', 'aerious-core' ),
												'dashed'	=> __( 'Dashed', 'aerious-core' ),
												'double'	=> __( 'Double', 'aerious-core' ),
												'groove'	=> __( 'Groove', 'aerious-core' ),
												'ridge'		=> __( 'Ridge', 'aerious-core' ),
												'inset'		=> __( 'Inset', 'aerious-core' ),
												'outset'	=> __( 'Outset', 'aerious-core' ),
											)
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Button Border Size', 'aerious-core' ),
					'name'					=> 'border_width'
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Button Hover Border Size', 'aerious-core' ),
					'name'					=> 'hover_border_width'
				),
				array(
					'type'					=> 'colorpicker',
					'name'					=> 'border_color',
					'title'					=> __( 'Button Border Color', 'aerious-core' )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Button Hover Border Color', 'aerious-core' ),
					'name'					=> 'hover_border_color'
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Button Text Size', 'aerious-core' ),
					'name'					=> 'text_size'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Button Text Transform', 'aerious-core' ),
					'name'					=> 'text_transform',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'capitalize'	=> __( 'Capitalize', 'aerious-core' ),
												'uppercase'		=> __( 'Uppercase', 'aerious-core' ), 
												'lowercase'		=> __( 'Lowercase', 'aerious-core' ), 
											)
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Icon Size', 'aerious-core' ),
					'name'					=> 'icon_size'
				),
				
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'name'					=> 'icon_color'
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Hover Icon Color', 'aerious-core' ),
					'name'					=> 'hover_icon_color'
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Margin (Space around the button)', 'aerious-core' ),
					'name'					=> 'margin',
					'description'			=> __( 'Insert margin in format: 0px 10px 10px 0px <br /> format: (top right bottom left)', 'aerious-core' ),
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Video Banner */
	if ($element_name == 'aerious_video_banner') {
	
		$fields = array_merge(
			array(
				array(
					'name'					=> 'video_link',
					'type'					=> 'textfield',
					'title'					=> __( 'Video Link', 'aerious-core' ),
				),
				array(
					'name'					=> 'video_banner',
					'id'					=> 'vb-custom-icon',
					'type'					=> 'image-uploader',
					'title'					=> __( 'Video Banner', 'aerious-core' ),
				),
				array(
					'name'					=> 'vb_bg_color',
					'type'					=> 'dropdown',
					'title'					=> __( 'Video Banner Background Color', 'aerious-core' ),
					'options' 				=> array(
												''			=> __( 'None', 'aerious-core' ),
												'default'	=> __( 'Default/Theme Color', 'aerious-core' ),
												'custom'	=> __( 'Custom Color', 'aerious-core' ),
											),
					'std' 					=> 'default',
					'dependency_trigger'	=> 'true'
				),
				array(
					'name'					=> 'vb_bg_custom_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Custom Background Color', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'vb_bg_color', 'value' => 'custom' )
					
				),
				array(
					'name'					=> 'vb_bg_custom_hover_color',
					'type'					=> 'colorpicker',
					'title'					=> __( 'Custom Hover Background Color', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'vb_bg_color', 'value' => 'custom' )
				),
				$extra_class,
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* Vertical Progress Bar */
	if ($element_name == 'aerious_vertical_progress_bar') {
	
		$fields = array_merge(
			array(
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Title', 'aerious-core' ),
					'name'					=> 'title',
					'description' 			=> __( 'Enter heading text', 'aerious-core' ),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'textfield',
					'title'					=> __( 'Subtitle', 'aerious-core' ),
					'name'					=> 'content_',
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Percentage', 'aerious-core' ),
					'name'					=> 'percentage',
					'dependency_trigger'	=> 'true'
				),
				$extra_class,
			),
			aerious_sc_icon_collection( __( 'Icon', 'aerious-core' ), '', '' ),
			array(
				array(
					'name'					=> 'custom_icon',
					'id'					=> 'vpb-custom-icon',
					'type'					=> 'image-uploader',
					'title'					=> __( 'Custom Icon', 'aerious-core' )
				),
				array(
					'type' 					=> 'number',
					'title' 				=> __( 'Icon Size', 'aerious-core' ),
					'name' 					=> 'icon_size'
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Bar Height', 'aerious-core' ),
					'name'					=> 'bar_height',
					'description'			=> __( 'Enter bar height', 'aerious-core' ),
					'group'					=> __( 'Design Options', 'aerious-core' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Bar Color', 'aerious-core' ),
					'name'					=> 'active_bar_color',
					'description' 			=> __( 'Choose color for progress bar', 'aerious-core' ),
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Title Color', 'aerious-core' ),
					'name'					=> 'title_color',
					'description' 			=> __( 'Choose title color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'title', 'not_empty'=>true )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Percentage Color', 'aerious-core' ),
					'name'					=> 'percentage_color',
					'description' 			=> __( 'Choose percentage color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'percentage', 'not_empty'=>true )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Subtitle Color', 'aerious-core' ),
					'name'					=> 'content_color',
					'description'			=> __( 'Choose content color', 'aerious-core' ),
					'dependency'			=> array( 'element' => 'content_', 'not_empty' => true )
				),
				array(
					'type'					=> 'colorpicker',
					'title'					=> __( 'Icon Color', 'aerious-core' ),
					'name'					=> 'icon_color',
					'description' 			=> __( 'Choose icon color', 'aerious-core' ),
					'dependency'			=> array( 'element'=>'icon_pack', 'not_empty'=>true )
				),
			),
			aerious_sc_animations_fields()
		);
	
		aerious_ElementFields( $fields );
	}
	
	/* WooCommerce Products */
	if( $element_name == 'aerious_woocommerce_products' ){
		$fields = array_merge(
			array(
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Gallery Type', 'aerious-core' ),
					'name'					=> 'type',
					'options'				=> array(
												'slider'	=> __( 'Slider - Carousel', 'aerious-core' ),
												'grid'		=> __( 'Grid','aerious-core' ),
											),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Number of Columns', 'aerious-core' ),
					'name'					=> 'columns',
					'options'				=> array(
												'1'	=> __( '1', 'aerious-core' ),
												'2'	=> __( '2', 'aerious-core' ),
												'3'	=> __( '3', 'aerious-core' ),
												'4'	=> __( '4', 'aerious-core' ),
												'5'	=> __( '5', 'aerious-core' ),
												'6'	=> __( '6', 'aerious-core' )
											),
					'std'					=> '3',
					'dependency_trigger'	=> 'true',
					'description'			=> __( 'Number of items showing in a row', 'aerious-core' ),
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Product Type', 'aerious-core' ),
					'name'					=> 'pro_type',
					'options'				=> array(
												'recent'	=> __( 'Recent', 'aerious-core' ),
												'sale'		=> __( 'Sale', 'aerious-core' ),
												'trending'	=> __( 'Trending', 'aerious-core' ),
												'featured'	=> __( 'Featured', 'aerious-core' )
											),
					'dependency_trigger'	=> 'true'
				),
				array(
					'type'					=> 'number',
					'title'					=> __( 'Number Of Products', 'aerious-core' ),
					'name'					=> 'no_of_pro',
					'value'					=> '12'
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Order By', 'aerious-core' ),
					'name'					=> 'order_by',
					'options'				=> array(
												''				=> __( 'Default', 'aerious-core' ),
												'date'			=> __( 'Date', 'aerious-core' ),
												'ID'			=> __( 'ID', 'aerious-core' ),
												'author'		=> __( 'Author', 'aerious-core' ),
												'title'					=> __( 'Title', 'aerious-core' ),
												'modified'		=> __( 'Modified', 'aerious-core' ),
												'rand'			=> __( 'Random', 'aerious-core' ),
												'comment_count'	=> __( 'Comment Count', 'aerious-core' ),
												'menu_order'	=> __( 'Menu Order', 'aerious-core' ),
											),
					'dependency'			=> array( 'element' => 'pro_type', 'not_depend_on' => 'trending' )
				),
				array(
					'type'					=> 'dropdown',
					'title'					=> __( 'Sort Order', 'aerious-core' ),
					'name'					=> 'sort_by',
					'options'				=> array(
												''		=> __( 'Default', 'aerious-core' ),
												'DESC'	=> __( 'Descending', 'aerious-core' ),
												'ASC'	=> __( 'Ascending', 'aerious-core' ),
											),
					'dependency'			=> array( 'element' => 'pro_type', 'not_depend_on' => 'trending' )
				),
				$extra_class,
			),
			aerious_sc_carousel_settings( __( 'Carousel Settings', 'aerious-core' ),  array( 'type', 'slider' ) ),
			aerious_sc_animations_fields()
		);
		aerious_ElementFields( $fields );
	}
	
}