<?php
$option_selected = $option_checked = $i = '';
function aerious_ElementFields($fields) {
	$allowed_html = array(
				  'a' => array(
					  'href' => array(),
					  'title' => array()
				  ),
				  'br' => array(),
				  'em' => array(),
				  'strong' => array(),
			  );
	
	if(is_array($fields) && count($fields)) {
		echo '<table class="aerious-sc-table">';
			foreach( $fields as $element_filed ){
				$dep_trigger = $dep_value = $dep_parent = $depend_on = '';
				
				if( array_key_exists( 'dependency_trigger',$element_filed ) ) {
					if( $element_filed['dependency_trigger'] == 'true' ){
						$dep_trigger	= ' onChange="jQuery(this).aerious_DependencyTrigger();"';
					}
				}
					
				if( array_key_exists( 'dependency',$element_filed ) ) {
					if( array_key_exists( 'not_depend_on',$element_filed['dependency'] ) ) {
						if( !empty($element_filed['dependency']['element'])){
							$dep_value	= ' data-not-depend-on="'. esc_attr( $element_filed['dependency']['not_depend_on'] ) .'"';
							$depend_on	= ' data-not-depend-element="sc-'. esc_attr( $element_filed['dependency']['element'] ) .'"';
							$dep_parent	= ' dependency-list sc_dep_'. esc_attr( $element_filed['dependency']['element'] );
						}
					} else if( array_key_exists( 'not_empty',$element_filed['dependency'] ) ){
							$dep_value	= ' data-not-empty="empty"';
							$depend_on	= ' data-empty-element="sc-'. esc_attr( $element_filed['dependency']['element'] ) .'"';
							$dep_parent	= ' dependency-list sc_dep_'. esc_attr( $element_filed['dependency']['element'] );
					} else{
						if( !empty($element_filed['dependency']['element']) && !empty($element_filed['dependency']['value'])  ){
							$dep_value	= ' data-dependency-value="'. esc_attr( $element_filed['dependency']['value'] ) .'"';
							$depend_on	= ' data-depend-on="sc-'. esc_attr( $element_filed['dependency']['element'] ) .'"';
							$dep_parent	= ' dependency-list sc_dep_'. esc_attr( $element_filed['dependency']['element'] );
						}
					}
				}
							
				switch( $element_filed['type']) {
					case 'textfield':
						?>
                        <?php
							if( array_key_exists( 'group',$element_filed ) ) {
								if(!empty($element_filed['group'])){
						?>
									<tr>
                                    	<th colspan="2"><h3><?php echo esc_html($element_filed['group']); ?></h3></th>
                                    </tr>
						<?php
								}
							}
						?>
						<tr>
                        	<th><?php echo esc_html($element_filed['title']); ?></th>
                            <td>
                                <input class="aerious-sc-field<?php echo esc_attr( $dep_parent );?>" id="sc-<?php echo esc_attr($element_filed['name']); ?>" name="<?php echo esc_attr($element_filed['name']); ?>" type="text" value="<?php if(array_key_exists('value', $element_filed)) { echo esc_attr($element_filed['value']); } ?>" <?php echo $dep_trigger . $depend_on . $dep_value; ?>/>
                                <?php if(!empty($element_filed['description'])) : ?>
                                    <span class="aerious-field-description"><?php echo wp_kses( $element_filed['description'], $allowed_html ); ?></span>
                                <?php endif; ?>
                            </td>
						</tr>
						<?php
						break;
					case 'dropdown':
						?>
                        <?php
							if( array_key_exists( 'group',$element_filed ) ) {
								if(!empty($element_filed['group'])){
						?>
									<tr>
                                    	<th colspan="2"><h3><?php echo esc_html($element_filed['group']); ?></h3></th>
                                    </tr>
						<?php
								}
							}
						?>
                     	<tr>
							<th><?php echo esc_html($element_filed['title']); ?></th>
                            <td>
								<?php if(isset($element_filed['options']) && is_array($element_filed['options']) && count($element_filed['options'])) { ?>

                                    <select class="aerious-sc-field<?php echo esc_attr( $dep_parent );?>" name="<?php echo esc_attr($element_filed['name']); ?>" id="sc-<?php echo esc_attr($element_filed['name']); ?>" <?php echo $dep_trigger . $depend_on . $dep_value; ?>>
                                        <?php
                                            $i = 0; 
                                            foreach($element_filed['options'] as $element_filed_option_key => $element_filed_option_val) {
												$option_selected = '';
												if( array_key_exists( 'std',$element_filed ) ){
													if( $element_filed_option_key == $element_filed['std'] ){
														$option_selected = 'selected';
													}
												} else{
													if($i == 0) {
														$option_selected = 'selected';
													}
												}
                                        ?>
                                                <option <?php echo esc_attr($option_selected); ?> value="<?php echo esc_attr($element_filed_option_key); ?>"><?php echo esc_html($element_filed_option_val); ?></option>
                                            <?php 
                                                $i++;
                                             } 
                                             ?>
                                    </select>
                                <?php } ?>
                                <?php if(!empty($element_filed['description'])) : ?>
                                    <span class="aerious-field-description"><?php echo esc_html($element_filed['description']); ?></span>
                                <?php endif; ?>
                            </td>
						</tr>
						<?php
						break;
					case 'textarea':
						?>
                        <?php
							if( array_key_exists( 'group',$element_filed ) ) {
								if(!empty($element_filed['group'])){
						?>
									<tr>
                                    	<th colspan="2"><h3><?php echo esc_html($element_filed['group']); ?></h3></th>
                                    </tr>
						<?php
								}
							}
						?>
						<tr>
							<th><?php echo esc_html($element_filed['title']); ?></th>
                            <td>
                                <textarea rows="<?php echo esc_attr($element_filed['rows']); ?>" class="aerious-sc-textarea<?php echo esc_attr( $dep_parent );?>" id="sc-<?php echo esc_attr($element_filed['name']); ?>" name="<?php echo esc_attr($element_filed['name']); ?>" <?php echo $dep_trigger . $depend_on . $dep_value; ?>><?php if(array_key_exists('value', $element_filed)) { echo esc_textarea($element_filed['value']); } ?></textarea>
                                <?php if(!empty($element_filed['description'])) : ?>
                                    <span class="aerious-field-description"><?php echo esc_html($element_filed['description']); ?></span>
                                <?php endif; ?>
                            </td>
						</tr>
						<?php
						break;
					case 'checkbox':
						?>
                        <?php
							if( array_key_exists( 'group',$element_filed ) ) {
								if(!empty($element_filed['group'])){
						?>
									<tr>
                                    	<th colspan="2"><h3><?php echo esc_html($element_filed['group']); ?></h3></th>
                                    </tr>
						<?php
								}
							}
						?>
						<tr>
                        	<th><?php echo esc_html($element_filed['title']); ?></th>
                            <td id="<?php echo esc_attr($element_filed['name']); ?>" class="aerious-sc-checkboxes">
								<?php if(isset($element_filed['options']) && is_array($element_filed['options']) && count($element_filed['options'])) { ?>
                                    
                                    <?php
										foreach($element_filed['options'] as $element_filed_key => $element_filed_val) {	 
									?>
											<label class="sc-checkbox-label">
												<input type="checkbox" class="aerious-sc-checkbox" name="<?php echo esc_attr($element_filed['name']); ?>" value="<?php echo esc_attr($element_filed_key); ?>">
												<?php echo esc_html($element_filed_val);?>
											</label>
									<?php
										}
									?>
                                    
                                <?php } ?>
                                <?php if(!empty($element_filed['description'])) : ?>
                                    <span class="aerious-field-description"><?php echo esc_html($element_filed['description']); ?></span>
                                <?php endif; ?>
                            </td>
						</tr>
	
						<?php
						break;
					case 'number':
						?>
                        <?php
							if( array_key_exists( 'group',$element_filed ) ) {
								if(!empty($element_filed['group'])){
						?>
									<tr>
                                    	<th colspan="2"><h3><?php echo esc_html($element_filed['group']); ?></h3></th>
                                    </tr>
						<?php
								}
							}
						?>
							<tr>
								<th><?php echo esc_html($element_filed['title']); ?></th>
                            	<td>
                                    <input class="aerious-sc-field<?php echo esc_attr( $dep_parent );?>" id="sc-<?php echo esc_attr($element_filed['name']); ?>" name="<?php echo esc_attr($element_filed['name']); ?>" type="number" value="<?php if(array_key_exists('value', $element_filed)) { echo esc_attr($element_filed['value']); } ?>"<?php echo $dep_trigger . $depend_on . $dep_value; ?>/>
                                    <?php if(!empty($element_filed['description'])) : ?>
                                        <span class="aerious-field-description"><?php echo esc_html($element_filed['description']); ?></span>
                                    <?php endif; ?>
                                </td>
							</tr>
						<?php
						break;
					case 'colorpicker':
						?>
                        <?php
							if( array_key_exists( 'group',$element_filed ) ) {
								if(!empty($element_filed['group'])){
						?>
									<tr>
                                    	<th colspan="2"><h3><?php echo esc_html($element_filed['group']); ?></h3></th>
                                    </tr>
						<?php
								}
							}
						?>
						<tr>
                        	<th><?php echo esc_html($element_filed['title']); ?></th>
                            <td>
                                <input class="aerious-sc-field sc-color-picker color-picker<?php echo esc_attr( $dep_parent );?>" data-alpha="true" id="sc-<?php echo esc_attr($element_filed['name']); ?>" name="<?php echo esc_attr($element_filed['name']); ?>" type="text" value="<?php if(array_key_exists('value', $element_filed)) { echo esc_attr($element_filed['value']); } ?>"<?php echo $depend_on . $dep_value; ?>/>
                                <?php if(!empty($element_filed['description'])) : ?>
                                    <span class="aerious-field-description"><?php echo esc_html($element_filed['description']); ?></span>
                                <?php endif; ?>
                            </td>
						</tr>
						<?php
						break;
					case 'image-uploader':
						?>
                        <?php
							if( array_key_exists( 'group',$element_filed ) ) {
								if(!empty($element_filed['group'])){
						?>
									<tr>
                                    	<th colspan="2"><h3><?php echo esc_html($element_filed['group']); ?></h3></th>
                                    </tr>
						<?php
								}
							}
						?>
                        <tr>
                            <th><?php echo esc_html($element_filed['title']); ?></th>
                            <td>
                                <input type="hidden" class="sc-save-<?php echo esc_attr($element_filed['id']); ?><?php echo esc_attr( $dep_parent );?>" id="<?php echo esc_attr($element_filed['id']); ?>" name="<?php echo esc_attr($element_filed['name']); ?>" value=""<?php echo $depend_on . $dep_value; ?> >
                            
                                <div id="sc-image-uploader" class="sc-image-uploader">
                            
                                    <div id="<?php echo esc_attr($element_filed['id']); ?>" class="sc-upload-img" onClick="jQuery(this).aerious_SCIcon();"><?php _e('Upload Image', 'aerious-core' );?></div>
                                        
                                    <div class="sc-container-<?php echo esc_attr($element_filed['id']); ?>">
                                        
                                    </div>
                                    <?php if(!empty($element_filed['description'])) : ?>
                                        <span class="aerious-field-description"><?php echo esc_html($element_filed['description']); ?></span>
                                    <?php endif; ?>
                               </div>
                            </td>
						</tr>
						<?php
						break;
					case 'multi-img-uploader':
						?>
                        <?php
							if( array_key_exists( 'group',$element_filed ) ) {
								if(!empty($element_filed['group'])){
						?>
									<tr>
                                    	<th colspan="2"><h3><?php echo esc_html($element_filed['group']); ?></h3></th>
                                    </tr>
						<?php
								}
							}
						?>
                        <tr>
                            <th><?php echo esc_html($element_filed['title']); ?></th>
                            <td>
                                <input type="hidden" class="sc-multi-save-<?php echo esc_attr($element_filed['id']); ?><?php echo esc_attr( $dep_parent );?>" id="<?php echo esc_attr($element_filed['id']); ?>" name="<?php echo esc_attr($element_filed['name']); ?>" value=""<?php echo $depend_on . $dep_value; ?> >
                            
                                <div id="sc-multi-image-uploader" class="sc-multi-image-uploader">
                            
                                    <div id="<?php echo esc_attr($element_filed['id']); ?>" class="sc-upload-img" onClick="jQuery(this).aerious_SCImages();"><?php _e('Upload Images', 'aerious-core' );?></div>
                                        
                                    <div class="sc-multi-container-<?php echo esc_attr($element_filed['id']); ?>">
                                    </div>
                                    <?php if(!empty($element_filed['description'])) : ?>
                                        <span class="aerious-field-description"><?php echo esc_html($element_filed['description']); ?></span>
                                    <?php endif; ?>
                               </div>
                            </td>
						</tr>
						<?php
						break;
					case 'icon-list':
                        ?>
                        <?php
                        	if( array_key_exists( 'dependency',$element_filed ) ) {
								if( !empty($element_filed['dependency']['element']) && !empty($element_filed['dependency']['value'])  ){
									$dep_value	= ' data-dependency-value="'. esc_attr( $element_filed['dependency']['value'] ) .'"';
									$dep_parent	= ' dependency-list-icon sc_dep_'. esc_attr( $element_filed['dependency']['element'] );
								}
							}
						?>
                        <?php
							if( array_key_exists( 'group',$element_filed ) ) {
								if(!empty($element_filed['group'])){
						?>
									<tr>
                                    	<th colspan="2"><h3><?php echo esc_html($element_filed['group']); ?></h3></th>
                                    </tr>
						<?php
								}
							}
						?>
                        <tr>
							<th><?php echo esc_html($element_filed['title']); ?></th>
                            <td class="sc-icons">
                                <select data-live-search="true" data-width="100%" class="sc-icon-list<?php echo esc_attr( $dep_parent );?>" name="<?php echo esc_attr($element_filed['name']); ?>" id="sc-<?php echo 'widget-iconlist-id' . esc_attr($element_filed['name']); ?>" <?php echo $dep_trigger . $dep_value; ?>>
                                    <option value=""></option>
                                    <?php
                                    if ( $element_filed['icon_pack'] == 'icon_fa' ){
                                        $icons = aerious_font_awesome_list();
                                    }
                                    else {
                                        $icons = aerious_eleganticons_list();
                                    }
                                    foreach($icons as $key => $val) {
                                        ?>
                                        <option value="<?php echo esc_attr($key); ?>" data-content="<i class='<?php echo esc_attr($key); ?>'></i> <?php echo esc_attr($val) ?>"><?php echo esc_html($val); ?></option>
                                    <?php } ?>
                                </select>
                            
								<?php if(!empty($element_filed['description'])) : ?>
                                    <span class="aerious-field-description"><?php echo esc_html($element_filed['description']); ?></span>
                                <?php endif; ?>
                            </td>
                        </tr>

                        <?php
                        break;
				}
			}
		echo '</table>';
	}
}

function aerious_sc_animations_fields( ){
	
	$fields = array();
	
	$fields[] = array(
		'type'			=> 'dropdown',
		'title'			=> __( 'Type', 'aerious-core' ),
		'name'			=> 'animation',
		'description'	=> __( 'Choose animation type', 'aerious-core' ),
		'group'					=> __( 'Animation', 'aerious-core' ),
		'options'		=> array(
			''					=> __( 'No Animation', 'aerious-core' ),
			//Attention Seekers
			"bounce" 			=> __( "bounce", 'aerious-core' ), 
			"flash" 			=> __( "flash", 'aerious-core' ), 
			"pulse" 			=> __( "pulse", 'aerious-core' ), 
			"rubberBand" 		=> __( "rubberBand", 'aerious-core' ), 
			"shake" 			=> __( "shake", 'aerious-core' ), 
			"swing" 			=> __( "swing", 'aerious-core' ), 
			"tada" 				=> __( "tada", 'aerious-core' ), 
			"wobble" 			=> __( "wobble", 'aerious-core' ), 
			//Bouncing Entrances
			"bounceIn" 			=> __( "bounceIn", 'aerious-core' ), 
			"bounceInDown" 		=> __( "bounceInDown", 'aerious-core' ), 
			"bounceInLeft" 		=> __( "bounceInLeft", 'aerious-core' ), 
			"bounceInRight"		=> __( "bounceInRight", 'aerious-core' ), 
			"bounceInUp" 		=> __( "bounceInUp", 'aerious-core' ), 
			//Fading Entrances
			"fadeIn" 			=> __( "fadeIn", 'aerious-core' ), 
			"fadeInDown" 		=> __( "fadeInDown", 'aerious-core' ), 
			"fadeInDownBig" 	=> __( "fadeInDownBig", 'aerious-core' ), 
			"fadeInLeft" 		=> __( "fadeInLeft", 'aerious-core' ), 
			"fadeInLeftBig" 	=> __( "fadeInLeftBig", 'aerious-core' ), 
			"fadeInRight" 		=> __( "fadeInRight", 'aerious-core' ), 
			"fadeInRightBig"	=> __( "fadeInRightBig", 'aerious-core' ), 
			"fadeInUp" 			=> __( "fadeInUp", 'aerious-core' ), 
			"fadeInUpBig" 		=> __( "fadeInUpBig", 'aerious-core' ), 
			//Flippers
			"flip"				=> __( "flip", 'aerious-core' ), 
			"flipInX" 			=> __( "flipInX", 'aerious-core' ), 
			"flipInY" 			=> __( "flipInY", 'aerious-core' ), 
			//Lightspeed
			"lightSpeedIn" 		=> __( "lightSpeedIn", 'aerious-core' ), 
			//Rotating Entrances
			"rotateIn" 			=> __( "rotateIn", 'aerious-core' ), 
			"rotateInDownLeft" 	=> __( "rotateInDownLeft", 'aerious-core' ), 
			"rotateInDownRight" => __( "rotateInDownRight", 'aerious-core' ), 
			"rotateInUpLeft" 	=> __( "rotateInUpLeft", 'aerious-core' ), 
			"rotateInUpRight" 	=> __( "rotateInUpRight", 'aerious-core' ), 
			//Sliders
			"slideInUp" 		=> __( "slideInUp", 'aerious-core' ), 
			"slideInDown" 		=> __( "slideInDown", 'aerious-core' ), 
			"slideInLeft" 		=> __( "slideInLeft", 'aerious-core' ), 
			"slideInRight" 		=> __( "slideInRight", 'aerious-core' ), 
			//Zoom Entrances
			"zoomIn" 			=> __( "zoomIn", 'aerious-core' ), 
			"zoomInUp" 			=> __( "zoomInUp", 'aerious-core' ), 
			"zoomInDown" 		=> __( "zoomInDown", 'aerious-core' ), 
			"zoomInLeft" 		=> __( "zoomInLeft", 'aerious-core' ), 
			"zoomInRight" 		=> __( "zoomInRight", 'aerious-core' ), 
			//Specials
			"rollIn" 			=> __( "rollIn", 'aerious-core' )
		
		)
	);
	
	$fields[] = array(
		'type'			=> 'textfield',
		'title'			=> __( 'Duration', 'aerious-core' ),
		'name' 			=> 'animation_duration',
		'description'	=> __( 'Enter number of seconds', 'aerious-core' )
	);
	
	$fields[] = array(
		'type' 			=> 'textfield',
		'title' 		=> __( 'Delay', 'aerious-core' ),
		'name'			=> 'animation_delay',
		'description'	=> __( 'Enter number of seconds. Delay before the animation starts.', 'aerious-core' )
	);
	
	$fields[] = array(
		'type'			=> 'textfield',
		'title'			=> __( 'Iteration', 'aerious-core' ),
		'name'			=> 'animation_iteration',
		'description'	=> __( 'Enter number. Number of times the animation is repeated.<br />Enter "infinite" to animate unlimited times', 'aerious-core' )
	);
	
	$fields[] = array(
		'type'			=> 'textfield',
		'title'			=> __( 'Offset', 'aerious-core' ),
		'name'			=> 'animation_offset',
		'description'	=> __( 'Enter number. Distance to start the animation (related to the browser bottom)', 'aerious-core' )
	);

	return $fields;	
}

function aerious_sc_get_terms( $taxonomy ){	
	if( empty( $taxonomy ) )
		return false;

	$terms_array = array();
	
	if( taxonomy_exists( $taxonomy ) ){
			$terms = get_terms( $taxonomy, array(
			'hide_empty' => true,
		) );
		
		if( ! empty( $terms ) ){
			foreach($terms as $term){
				$terms_array[$term->slug] = __( $term->name, "aerious_core" );
			}
		}
	}
	
	return $terms_array;
}

function aerious_sc_carousel_settings( $group = '', $dependency = array() ){
	
	$fields = array();
	
	//0
	$fields[] = array(
		"type"					=> "dropdown",
		"title"					=> __("Show navigation?", 'aerious-core' ),
		"name"					=> "navigation",
		"options"				=> array(
									'true'	=> __( "Yes", 'aerious-core' ),
									'false'	=> __( "No",'aerious-core' ),
								),
		'std'					=> 'false',
		'group'					=> $group,
		'dependency_trigger'	=> 'true' 
	);
	if( is_array($dependency) && $dependency ){
		$fields[0]['dependency'] = array( 'element' => $dependency[0], 'value' => $dependency[1] );
	} 
	
	//1
	$fields[] = array(
		"type"					=> "dropdown",
		"title"					=> __("Navigation Style", 'aerious-core' ),
		"name"					=> "nav_style",
		"options"				=> array(
									'' 		=> __( "Theme Default", 'aerious-core' ),
									'light'	=> __( "Light",'aerious-core' ),
									'dark'	=> __( "Dark",'aerious-core' ),
								),
		'std'					=> '',
		'dependency' 			=> array( 'element' => 'navigation', 'value' => 'true' )
	);
	
	//2
	$fields[] = array(
		"type"					=> "dropdown",
		"title"					=> __("Show navigation buttons?", 'aerious-core' ),
		"name"					=> "nav_buttons",
		"options"				=> array(
									'true'	=> __( "Yes", 'aerious-core' ),
									'false' => __( "No",'aerious-core' ),
								),
	);
	if( is_array($dependency) && $dependency ){
		$fields[2]['dependency'] = array( 'element' => $dependency[0], 'value' => $dependency[1] );
	}
	
	//3
	$fields[] = array(
		"type"					=> "dropdown",
		"title"					=> __("Single item navigation?", 'aerious-core' ),
		"name"					=> "single_item_nav",
		"options"				=> array(
									'true' 	=> __( "Yes", 'aerious-core' ),
									'false' => __( "No",'aerious-core' ),
								),
		'std'					=> 'false',
		'dependency' 			=> array( 'element' => 'navigation', 'value' => 'true' ),
	);
	
	//4
	$fields[] = array(
		"type"					=> "dropdown",
		"title"					=> __("Autoplay?", 'aerious-core' ),
		"name"					=> "autoplay",
		"options"				=> array(
									'true' 	=> __( "Yes", 'aerious-core' ),
									'false' => __( "No",'aerious-core' ),
								),
		'std'					=> 'false',
		'dependency_trigger'	=> 'true' 
	);
	if( is_array($dependency) && $dependency ){
		$fields[4]['dependency'] = array( 'element' => $dependency[0], 'value' => $dependency[1] );
	}

	//5
	$fields[] = array(
		"type"					=> "textfield",
		"title"					=> __("Autoplay sliding duration?", 'aerious-core' ),
		"name"					=> "autoplay_timeout",
		"description" 			=> __( 'Enter number of seconds, i.e. 5', 'aerious-core' ),
		'dependency' 			=> array( 'element' => 'autoplay', 'value' => 'true' ),
	);
	
	//6
	$fields[] = array(
		"type"					=> "dropdown",
		"title"					=> __("Autoplay pause on hover?", 'aerious-core' ),
		"name"					=> "autoplay_pause_on_hover",
		"options"				=> array(
									'false' => __( "No",'aerious-core' ),
									'true' 	=> __( "Yes", 'aerious-core' ),
								),
		'dependency' 			=> array( 'element' => 'autoplay', 'value' => 'true' ),
	);
	
	//7
	$fields[] = array(
		"type"					=> "dropdown",
		"title"					=> __("Loop?", 'aerious-core' ),
		"name"					=> "loop",
		"options"				=> array(
									'true' 	=> __( "Yes", 'aerious-core' ),
									'false' => __( "No",'aerious-core' ),
								),
	);
	if( is_array($dependency) && $dependency ){
		$fields[7]['dependency'] = array( 'element' => $dependency[0], 'value' => $dependency[1] );
	}
	
	//8
	$fields[] = array(
		"type"					=> "dropdown",
		"title"					=> __( 'Animate In', 'aerious-core' ),
		"name"					=> 'animate_in',
		"options"				=> array(
									'' 						=> __( 'No Animation', 'aerious-core' ),
									//Attention Seekers
									"aerious-bounce" 			=> __( "bounce", 'aerious-core' ), 
									"aerious-flash" 			=> __( "flash", 'aerious-core' ), 
									"aerious-pulse" 			=> __( "pulse", 'aerious-core' ), 
									"aerious-rubberBand" 		=> __( "rubberBand", 'aerious-core' ), 
									"aerious-shake" 			=> __( "shake", 'aerious-core' ), 
									"aerious-swing" 			=> __( "swing", 'aerious-core' ), 
									"aerious-tada" 				=> __( "tada", 'aerious-core' ), 
									"aerious-wobble" 			=> __( "wobble", 'aerious-core' ), 
									//Bouncing Entrances
									"aerious-bounceIn" 			=> __( "bounceIn", 'aerious-core' ), 
									"aerious-bounceInDown" 		=> __( "bounceInDown", 'aerious-core' ), 
									"aerious-bounceInLeft" 		=> __( "bounceInLeft", 'aerious-core' ), 
									"aerious-bounceInRight" 	=> __( "bounceInRight", 'aerious-core' ), 
									"aerious-bounceInUp" 		=> __( "bounceInUp", 'aerious-core' ), 
									//Fading Entrances
									"aerious-fadeIn" 			=> __( "fadeIn", 'aerious-core' ), 
									"aerious-fadeInDown" 		=> __( "fadeInDown", 'aerious-core' ), 
									"aerious-fadeInDownBig" 	=> __( "fadeInDownBig", 'aerious-core' ), 
									"aerious-fadeInLeft" 		=> __( "fadeInLeft", 'aerious-core' ), 
									"aerious-fadeInLeftBig" 	=> __( "fadeInLeftBig", 'aerious-core' ), 
									"aerious-fadeInRight" 		=> __( "fadeInRight", 'aerious-core' ), 
									"aerious-fadeInRightBig" 	=> __( "fadeInRightBig", 'aerious-core' ), 
									"aerious-fadeInUp" 			=> __( "fadeInUp", 'aerious-core' ), 
									"aerious-fadeInUpBig" 		=> __( "fadeInUpBig", 'aerious-core' ), 
									//Flippers
									"aerious-flip" 				=> __( "flip", 'aerious-core' ), 
									"aerious-flipInX" 			=> __( "flipInX", 'aerious-core' ), 
									"aerious-flipInY" 			=> __( "flipInY", 'aerious-core' ), 
									//Lightspeed
									"aerious-lightSpeedIn" 		=> __( "lightSpeedIn", 'aerious-core' ), 
									//Rotating Entrances
									"aerious-rotateIn" 			=> __( "rotateIn", 'aerious-core' ), 
									"aerious-rotateInDownLeft"	=> __( "rotateInDownLeft", 'aerious-core' ), 
									"aerious-rotateInDownRight"	=> __( "rotateInDownRight", 'aerious-core' ), 
									"aerious-rotateInUpLeft" 	=> __( "rotateInUpLeft", 'aerious-core' ), 
									"aerious-rotateInUpRight" 	=> __( "rotateInUpRight", 'aerious-core' ), 
									//Sliding Entrances
									"aerious-slideInUp" 		=> __( "slideInUp", 'aerious-core' ), 
									"aerious-slideInDown" 		=> __( "slideInDown", 'aerious-core' ), 
									"aerious-slideInLeft" 		=> __( "slideInLeft", 'aerious-core' ), 
									"aerious-slideInRight" 		=> __( "slideInRight", 'aerious-core' ), 
									//Zoom Entrances
									"aerious-zoomIn" 			=> __( "zoomIn", 'aerious-core' ), 
									"aerious-zoomInUp" 			=> __( "zoomInUp", 'aerious-core' ), 
									"aerious-zoomInDown" 		=> __( "zoomInDown", 'aerious-core' ), 
									"aerious-zoomInLeft" 		=> __( "zoomInLeft", 'aerious-core' ), 
									"aerious-zoomInRight" 		=> __( "zoomInRight", 'aerious-core' ), 
									//Specials
									"aerious-hinge" 			=> __( "hinge", 'aerious-core' ), 
									"aerious-rollIn" 			=> __( "rollIn", 'aerious-core' ) 
								),
		'description' 			=> __( 'It will work with "slider/carousel" type', 'aerious-core' ),
		'dependency' 			=> array( 'element' => 'columns', 'value' => '1' ),
	);
	
	//9
	$fields[] = array(
		"type"					=> "dropdown",
		"title"					=> __( 'Animate Out', 'aerious-core' ),
		"name"					=> 'animate_out',
		"options"				=> array(
									__( 'No Animation', 'aerious-core' )		=> '',
									//Attention Seekers
									__( "bounce", 'aerious-core' ) 				=> "aerious-bounce", 
									__( "flash", 'aerious-core' ) 				=> "aerious-flash", 
									__( "pulse", 'aerious-core' ) 				=> "aerious-pulse", 
									__( "rubberBand", 'aerious-core' ) 			=> "aerious-rubberBand", 
									__( "shake", 'aerious-core' ) 				=> "aerious-shake", 
									__( "swing", 'aerious-core' ) 				=> "aerious-swing", 
									__( "tada", 'aerious-core' ) 				=> "aerious-tada", 
									__( "wobble", 'aerious-core' ) 				=> "aerious-wobble", 
									//Bouncing Exists
									__( "bounceOut", 'aerious-core' ) 			=> "aerious-bounceOut", 
									__( "bounceOutDown", 'aerious-core' ) 		=> "aerious-bounceOutDown", 
									__( "bounceOutLeft", 'aerious-core' ) 		=> "aerious-bounceOutLeft", 
									__( "bounceOutRight", 'aerious-core' ) 		=> "aerious-bounceOutRight", 
									__( "bounceOutUp", 'aerious-core' ) 		=> "aerious-bounceOutUp", 
									//Fading Exits
									__( "fadeOut", 'aerious-core' ) 			=> "aerious-fadeOut", 
									__( "fadeOutDown", 'aerious-core' ) 		=> "aerious-fadeOutDown", 
									__( "fadeOutDownBig", 'aerious-core' ) 		=> "aerious-fadeOutDownBig", 
									__( "fadeOutLeft", 'aerious-core' ) 		=> "aerious-fadeOutLeft", 
									__( "fadeOutLeftBig", 'aerious-core' ) 		=> "aerious-fadeOutLeftBig", 
									__( "fadeOutRight", 'aerious-core' ) 		=> "aerious-fadeOutRight", 
									__( "fadeOutRightBig", 'aerious-core' ) 	=> "aerious-fadeOutRightBig", 
									__( "fadeOutUp", 'aerious-core' ) 			=> "aerious-fadeOutUp", 
									__( "fadeOutUpBig", 'aerious-core' ) 		=> "aerious-fadeOutUpBig", 
									//Flippers
									__( "flip", 'aerious-core' ) 				=> "aerious-flip", 
									__( "flipOutX", 'aerious-core' ) 			=> "aerious-flipOutX", 
									__( "flipOutY", 'aerious-core' ) 			=> "aerious-flipOutY", 
									//Lightspeed
									__( "lightSpeedOut", 'aerious-core' ) 		=> "aerious-lightSpeedOut", 
									//Rotating Exits
									__( "rotateOut", 'aerious-core' ) 			=> "aerious-rotateOut", 
									__( "rotateOutDownLeft", 'aerious-core' ) 	=> "aerious-rotateOutDownLeft", 
									__( "rotateOutDownRight", 'aerious-core' ) 	=> "aerious-rotateOutDownRight", 
									__( "rotateOutUpLeft", 'aerious-core' ) 	=> "aerious-rotateOutUpLeft", 
									__( "rotateOutUpRight", 'aerious-core' ) 	=> "aerious-rotateOutUpRight", 
									//Sliding Exits
									__( "slideOutUp", 'aerious-core' ) 			=> "aerious-slideOutUp", 
									__( "slideOutDown", 'aerious-core' ) 		=> "aerious-slideOutDown", 
									__( "slideOutLeft", 'aerious-core' ) 		=> "aerious-slideOutLeft", 
									__( "slideOutRight", 'aerious-core' ) 		=> "aerious-slideOutRight", 
									//Zoom Exits
									__( "zoomOut", 'aerious-core' ) 			=> "aerious-zoomOut", 
									__( "zoomOutDown", 'aerious-core' ) 		=> "aerious-zoomOutDown", 
									__( "zoomOutLeft", 'aerious-core' ) 		=> "aerious-zoomOutLeft", 
									__( "zoomOutRight", 'aerious-core' ) 		=> "aerious-zoomOutRight", 
									__( "zoomOutUp", 'aerious-core' ) 			=> "aerious-zoomOutUp", 
									//Specials
									__( "hinge", 'aerious-core' ) 				=> "aerious-hinge", 
									__( "rollOut", 'aerious-core' ) 			=> "aerious-rollOut"
								),
		'description' 			=> __( 'It will work with "slider/carousel" type', 'aerious-core' ),
		'dependency' 			=> array( 'element' => 'columns', 'value' => '1' ),
	);
	
	return $fields;	
}

function aerious_sc_icon_collection( $group = '', $name = '', $dependency = array() ){
	$fields	= array();
	//0
	$fields[]	= array(
		'name'	=> $name . 'icon_pack',
		'type'	=> 'dropdown',
		'title'	=> __( 'Icon Pack', 'aerious-core' ),
		'group'					=> $group,
		'options' => array(
			''				=> __( 'No Icon', 'aerious-core' ),
			'fontawesome'	=> __( 'Font Awesome', 'aerious-core' ),
			'eleganticons'	=> __( 'Elegant Icons', 'aerious-core' ),
		),
		'dependency_trigger'	=> 'true' );
	if( is_array( $dependency ) && ! empty( $dependency ) ){
		$fields[0]['dependency'] = array( 'element'=>$dependency[0], 'value'=>$dependency[1] ) ;
	}
	//1
	$fields[]	= 	array(
		'name' 			=> $name . 'icon_fa',
		'type' 			=> 'icon-list',
		'icon_pack' 	=> 'icon_fa',
		'title' 		=> __( 'Fontawesome', 'aerious-core' ),
		'dependency'	=> array('element' => $name . 'icon_pack', 'value' => 'fontawesome' )
	);
	//2
	$fields[]	= 	array(
		'name' 			=> $name . 'icon_ei',
		'type' 			=> 'icon-list',
		'icon_pack' 	=> 'icon_ei',
		'title' 		=> __( 'Elegant Icons', 'aerious-core' ),
		'dependency'	=> array('element' => $name . 'icon_pack', 'value' => 'eleganticons' )
	);
				
	return $fields;
}