<?php
	
function aerious_seo_meta_options() {
	
	global $aerious_meta_prefix, $aerious_meta_postfix;

	$seo = new_cmb2_box( array(
		'id'            => $aerious_meta_prefix . 'seo',
		'title'         => __( 'Aerious SEO', 'aerious' ),
		'object_types'  => array( 'page', 'post', 'portfolio', 'product', 'forum', 'topic' ),
		'priority'   	=> 'core',
	) );
	
	$seo->add_field( array(
		'name'       => __( 'Meta Description', 'aerious' ),
		'id'         => $aerious_meta_prefix . 'meta_description' . $aerious_meta_postfix,
		'type'       => 'text',
	) );

	$seo->add_field( array(
		'name'       => __( 'Meta Keywords', 'aerious' ),
		'id'         => $aerious_meta_prefix . 'meta_keywords' . $aerious_meta_postfix,
		'type'       => 'text',
	) );

}

add_action( 'cmb2_admin_init', 'aerious_seo_meta_options' );